/*
 * Copyright [1999-2015] Wellcome Trust Sanger Institute and the EMBL-European Bioinformatics Institute
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "StableIdInfo.h"

#include <stdlib.h>
#include <string.h>

char *StableIdInfo_setStableId(StableIdInfo *si, char *sid) {
  if ((si->stableId = (char *)malloc(strlen(sid)+1)) == NULL) {
    fprintf(stderr,"ERROR: Failed allocating space for stableid\n");
    return NULL;
  }

  // fprintf(stderr,"Allocated stable id string %p in stable id object %p for stable id %s\n", si->stableId, si, sid);
  strcpy(si->stableId,sid);

  return si->stableId;
}

void StableIdInfo_freePtrs(StableIdInfo *si) {
  if (si->stableId) free(si->stableId);
}
