/*  File: zmapSOData_P.hpp
 *  Author: Steve Miller (sm23@sanger.ac.uk)
 *  Copyright (c) 2006-2013: Genome Research Ltd.
 *-------------------------------------------------------------------
 * ZMap is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * or see the on-line version at http://www.gnu.org/copyleft/gpl.txt
 *-------------------------------------------------------------------
 * This file is part of the ZMap genome database package
 * originated by
 *     	Ed Griffiths (Sanger Institute, UK) edgrif@sanger.ac.uk,
 *        Roy Storey (Sanger Institute, UK) rds@sanger.ac.uk,
 *   Malcolm Hinsley (Sanger Institute, UK) mh17@sanger.ac.uk
 *      Steve Miller (Sanger Institute, UK) sm23@sanger.ac.uk
 *
 * Description: Private header for SO term data. This file is
 * auto-generated, DO NOT ALTER.
 *
 *-------------------------------------------------------------------
 */
#define ZMAP_SO_DATA_TABLE01_NUM_ITEMS 246
static const ZMapSOIDDataStruct ZMAP_SO_DATA_TABLE01[ZMAP_SO_DATA_TABLE01_NUM_ITEMS] = 
{
  { 1, "region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 4, "interior_coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5, "satellite_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 6, "PCR_product", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 7, "read_pair", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 13, "scRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 39, "match_part", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 57, "operator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 59, "nuclease_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 101, "transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 102, "expressed_sequence_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 103, "clone_insert_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 104, "polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 110, "sequence_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 112, "primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 113, "proviral_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 114, "methylated_cytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 120, "protein_coding_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 139, "ribosome_entry_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 140, "attenuator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 141, "terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 143, "assembly_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 147, "exon", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 148, "supercontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 149, "contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 150, "read", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 151, "clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 159, "deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 161, "methylated_adenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 162, "splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 163, "five_prime_cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 164, "three_prime_cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 165, "enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 167, "promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 177, "cross_genome_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 178, "operon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 179, "clone_insert_start", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 181, "translated_nucleotide_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 183, "non_transcribed_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 185, "primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 188, "intron", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 193, "RFLP_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 195, "coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 196, "five_prime_coding_exon_coding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 197, "three_prime_coding_exon_coding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 198, "noncoding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 200, "five_prime_coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 203, "UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 204, "five_prime_UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 205, "three_prime_UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 209, "rRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 233, "mature_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 234, "mRNA", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 235, "TF_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 236, "ORF", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 239, "flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 252, "rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 253, "tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 274, "snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 275, "snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 276, "miRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 289, "microsatellite", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 294, "inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 296, "origin_of_replication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 303, "clip", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 305, "modified_DNA_base", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 306, "methylated_DNA_base_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 307, "CpG_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 314, "direct_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 315, "TSS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 316, "CDS", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 318, "start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 319, "stop_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 324, "tag", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 325, "rRNA_large_subunit_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 326, "SAGE_tag", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 330, "conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 331, "STS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 332, "coding_conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 333, "exon_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 334, "nc_conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 336, "pseudogene", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 337, "RNAi_reagent", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 340, "chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 341, "chromosome_band", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 343, "match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 344, "splice_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 345, "EST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 347, "nucleotide_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 349, "protein_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 353, "sequence_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 360, "codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 366, "insertion_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 368, "transposable_element_insertion_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 370, "small_regulatory_ncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 372, "enzymatic_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 374, "ribozyme", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 375, "rRNA_5_8S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 380, "hammerhead_ribozyme", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 385, "RNase_MRP_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 386, "RNase_P_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 390, "telomerase_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 391, "U1_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 392, "U2_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 393, "U4_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 394, "U4atac_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 395, "U5_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 396, "U6_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 397, "U6atac_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 398, "U11_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 399, "U12_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 403, "U14_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 404, "vault_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 405, "Y_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 407, "rRNA_18S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 409, "binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 410, "protein_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 412, "restriction_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 413, "sequence_difference", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 418, "signal_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 419, "mature_protein_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 436, "ARS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 441, "ss_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 442, "ds_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 454, "rasiRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 462, "pseudogenic_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 464, "decayed_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 468, "golden_path_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 472, "tiling_path", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 474, "tiling_path_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 483, "nc_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 484, "three_prime_coding_exon_noncoding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 486, "five_prime_coding_exon_noncoding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 499, "virtual_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 551, "polyA_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 553, "polyA_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 577, "centromere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 581, "cap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 587, "group_I_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 588, "autocatalytically_spliced_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 590, "SRP_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 593, "C_D_box_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 602, "guide_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 603, "group_II_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 605, "intergenic_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 610, "polyA_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 611, "branch_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 612, "polypyrimidine_tract", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 616, "transcription_end_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 624, "telomere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 625, "silencer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 627, "insulator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 628, "chromosomal_structural_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 643, "minisatellite", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 644, "antisense_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 645, "antisense_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 646, "siRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 649, "stRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 650, "small_subunit_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 651, "large_subunit_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 652, "rRNA_5S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 653, "rRNA_28S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 655, "ncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 657, "repeat_region", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 658, "dispersed_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 662, "spliceosomal_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 667, "insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 668, "EST_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 673, "transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 684, "nuclease_sensitive_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 687, "deletion_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 688, "golden_path", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 689, "cDNA_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 694, "SNP", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 695, "reagent", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 696, "oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 699, "junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 700, "remark", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 701, "possible_base_call_error", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 702, "possible_assembly_error", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 703, "experimental_result_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 704, "gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 705, "tandem_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 706, "trans_splice_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 714, "nucleotide_motif", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 715, "RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 717, "reading_frame", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 719, "ultracontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 724, "oriT", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 725, "transit_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 727, "CRM", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 730, "gap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 752, "gene_group_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 753, "clone_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 777, "pseudogenic_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 778, "pseudogenic_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 830, "chromosome_part", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 831, "gene_member_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 833, "transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 834, "mature_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 835, "primary_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 836, "mRNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 837, "UTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 839, "polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 841, "spliceosomal_intron_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 842, "gene_component_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 851, "CDS_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 852, "exon_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000, "rRNA_16S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001, "rRNA_23S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1002, "rRNA_25S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1019, "copy_number_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1037, "mobile_genetic_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1039, "integrated_mobile_genetic_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1055, "transcriptional_cis_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1056, "splicing_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1059, "sequence_alteration", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1063, "immature_peptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1214, "noncoding_region_of_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1215, "coding_region_of_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1235, "replicon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1236, "base", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1248, "assembly", ZMAPSTYLE_MODE_ASSEMBLY_PATH, ZMAPHOMOL_NONE },
  { 1409, "biomaterial_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1410, "experimental_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1411, "biological_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1412, "topologically_defined_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1419, "cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1420, "trans_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1483, "SNV", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1527, "peptide_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1647, "kozak_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1654, "nucleotide_to_protein_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1679, "transcription_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1683, "sequence_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1720, "epigenetically_modified_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1790, "paired_end_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5836, "regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5855, "gene_group", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100011, "cleaved_peptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000002, "substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000005, "complex_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000008, "point_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000036, "inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001284, "regulon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 2000061, "databank_entry", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE }
} ;

#define ZMAP_SO_DATA_TABLE02_NUM_ITEMS 2014
static const ZMapSOIDDataStruct ZMAP_SO_DATA_TABLE02[ZMAP_SO_DATA_TABLE02_NUM_ITEMS] = 
{
  { 1, "region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 2, "sequence_secondary_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 3, "G_quartet", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 4, "interior_coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5, "satellite_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 6, "PCR_product", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 7, "read_pair", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 10, "protein_coding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 11, "non_protein_coding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 12, "scRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 13, "scRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 14, "INR_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 15, "DPE_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 16, "BREu_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 17, "PSE_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 18, "linkage_group", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 20, "RNA_internal_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 21, "asymmetric_RNA_internal_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 22, "A_minor_RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 23, "K_turn_RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 24, "sarcin_like_RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 25, "symmetric_RNA_internal_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 26, "RNA_junction_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 27, "RNA_hook_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 28, "base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 29, "WC_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 30, "sugar_edge_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 31, "aptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 32, "DNA_aptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 33, "RNA_aptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 34, "morpholino_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 35, "riboswitch", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 36, "matrix_attachment_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 37, "locus_control_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 39, "match_part", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 40, "genomic_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 43, "processed_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 44, "pseudogene_by_unequal_crossing_over", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 51, "probe", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 54, "aneuploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 55, "hyperploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 56, "hypoploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 57, "operator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 59, "nuclease_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 60, "compound_chromosome_arm", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 61, "restriction_enzyme_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 62, "deficient_intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 63, "deficient_interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 65, "free_chromosome_arm", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 67, "gene_to_gene_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 68, "overlapping", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 69, "inside_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 70, "inside_intron_antiparallel", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 71, "inside_intron_parallel", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 73, "five_prime_three_prime_overlap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 74, "five_prime_five_prime_overlap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 75, "three_prime_three_prime_overlap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 76, "three_prime_five_prime_overlap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 77, "antisense", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 78, "polycistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 79, "dicistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 80, "operon_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 81, "gene_array_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 83, "macronuclear_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 84, "micronuclear_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 87, "nuclear_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 88, "mt_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 89, "kinetoplast_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 90, "plastid_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 91, "apicoplast_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 92, "ct_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 93, "chromoplast_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 94, "cyanelle_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 95, "leucoplast_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 96, "proplastid_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 97, "nucleomorph_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 98, "plasmid_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 99, "proviral_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100, "endogenous_retroviral_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 101, "transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 102, "expressed_sequence_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 103, "clone_insert_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 104, "polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 105, "chromosome_arm", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 107, "sequencing_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 108, "mRNA_with_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 110, "sequence_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 111, "transposable_element_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 112, "primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 113, "proviral_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 114, "methylated_cytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 116, "edited", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 118, "transcript_with_translational_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 119, "regulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 120, "protein_coding_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 121, "forward_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 122, "RNA_sequence_secondary_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 123, "transcriptionally_regulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 124, "transcriptionally_constitutive", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 125, "transcriptionally_induced", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 126, "transcriptionally_repressed", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 127, "silenced_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 128, "gene_silenced_by_DNA_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 129, "gene_silenced_by_DNA_methylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 130, "post_translationally_regulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 131, "translationally_regulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 132, "reverse_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 133, "epigenetically_modified", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 134, "genomically_imprinted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 135, "maternally_imprinted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 136, "paternally_imprinted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 137, "allelically_excluded", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 138, "gene_rearranged_at_DNA_level", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 139, "ribosome_entry_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 140, "attenuator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 141, "terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 142, "DNA_sequence_secondary_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 143, "assembly_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 145, "recoded_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 146, "capped", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 147, "exon", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 148, "supercontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 149, "contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 150, "read", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 151, "clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 152, "YAC", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 153, "BAC", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 154, "PAC", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 155, "plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 156, "cosmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 157, "phagemid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 158, "fosmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 159, "deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 161, "methylated_adenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 162, "splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 163, "five_prime_cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 164, "three_prime_cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 165, "enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 166, "enhancer_bound_by_factor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 167, "promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 169, "RNApol_I_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 170, "RNApol_II_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 171, "RNApol_III_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 172, "CAAT_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 173, "GC_rich_promoter_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 174, "TATA_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 175, "minus_10_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 176, "minus_35_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 177, "cross_genome_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 178, "operon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 179, "clone_insert_start", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 180, "retrotransposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 181, "translated_nucleotide_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 182, "DNA_transposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 183, "non_transcribed_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 184, "U2_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 185, "primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 186, "LTR_retrotransposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 188, "intron", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 189, "non_LTR_retrotransposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 190, "five_prime_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 191, "interior_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 192, "three_prime_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 193, "RFLP_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 194, "LINE_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 195, "coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 196, "five_prime_coding_exon_coding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 197, "three_prime_coding_exon_coding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 198, "noncoding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 199, "translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 200, "five_prime_coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 201, "interior_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 202, "three_prime_coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 203, "UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 204, "five_prime_UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 205, "three_prime_UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 206, "SINE_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 207, "simple_sequence_length_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 208, "terminal_inverted_repeat_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 209, "rRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 210, "tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 211, "alanine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 212, "arginine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 213, "asparagine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 214, "aspartic_acid_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 215, "cysteine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 216, "glutamic_acid_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 217, "glutamine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 218, "glycine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 219, "histidine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 220, "isoleucine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 221, "leucine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 222, "lysine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 223, "methionine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 224, "phenylalanine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 225, "proline_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 226, "serine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 227, "threonine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 228, "tryptophan_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 229, "tyrosine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 230, "valine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 231, "snRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 232, "snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 233, "mature_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 234, "mRNA", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 235, "TF_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 236, "ORF", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 237, "transcript_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 238, "foldback_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 239, "flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 240, "chromosome_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 241, "internal_UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 242, "untranslated_region_polycistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 243, "internal_ribosome_entry_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 246, "polyadenylated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 248, "sequence_length_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 250, "modified_RNA_base_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 252, "rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 253, "tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 254, "alanyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 255, "rRNA_small_subunit_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 256, "asparaginyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 257, "aspartyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 258, "cysteinyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 259, "glutaminyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 260, "glutamyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 261, "glycyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 262, "histidyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 263, "isoleucyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 264, "leucyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 265, "lysyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 266, "methionyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 267, "phenylalanyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 268, "prolyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 269, "seryl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 270, "threonyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 271, "tryptophanyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 272, "tyrosyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 273, "valyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 274, "snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 275, "snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 276, "miRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 277, "bound_by_factor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 278, "transcript_bound_by_nucleic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 279, "transcript_bound_by_protein", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 280, "engineered_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 281, "engineered_foreign_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 282, "mRNA_with_minus_1_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 283, "engineered_foreign_transposable_element_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 285, "foreign_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 286, "long_terminal_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 287, "fusion_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 288, "engineered_fusion_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 289, "microsatellite", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 290, "dinucleotide_repeat_microsatellite_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 291, "trinucleotide_repeat_microsatellite_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 293, "engineered_foreign_repetitive_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 294, "inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 295, "U12_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 296, "origin_of_replication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 297, "D_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 298, "recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 299, "specific_recombination_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 300, "recombination_feature_of_rearranged_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 301, "vertebrate_immune_system_gene_recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 302, "J_gene_recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 303, "clip", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 305, "modified_DNA_base", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 306, "methylated_DNA_base_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 307, "CpG_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 312, "experimentally_determined", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 313, "stem_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 314, "direct_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 315, "TSS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 316, "CDS", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 317, "cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 318, "start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 319, "stop_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 320, "intronic_splice_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 321, "mRNA_with_plus_1_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 322, "nuclease_hypersensitive_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 323, "coding_start", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 324, "tag", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 325, "rRNA_large_subunit_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 326, "SAGE_tag", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 327, "coding_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 328, "microarray_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 329, "mRNA_with_plus_2_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 330, "conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 331, "STS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 332, "coding_conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 333, "exon_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 334, "nc_conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 335, "mRNA_with_minus_2_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 336, "pseudogene", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 337, "RNAi_reagent", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 338, "MITE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 339, "recombination_hotspot", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 340, "chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 341, "chromosome_band", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 342, "site_specific_recombination_target_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 343, "match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 344, "splice_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 345, "EST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 346, "loxP_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 347, "nucleotide_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 348, "nucleic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 349, "protein_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 350, "FRT_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 351, "synthetic_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 352, "DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 353, "sequence_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 354, "group_1_intron_homing_endonuclease_target_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 355, "haplotype_block", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 356, "RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 357, "flanked", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 359, "floxed", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 360, "codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 361, "FRT_flanked", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 362, "invalidated_by_chimeric_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 363, "floxed_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 364, "transposable_element_flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 365, "integron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 366, "insertion_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 367, "attI_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 368, "transposable_element_insertion_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 370, "small_regulatory_ncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 371, "conjugative_transposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 372, "enzymatic_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 373, "recombinationally_inverted_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 374, "ribozyme", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 375, "rRNA_5_8S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 376, "RNA_6S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 377, "CsrB_RsmB_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 378, "DsrA_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 379, "GcvB_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 380, "hammerhead_ribozyme", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 381, "group_IIA_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 382, "group_IIB_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 383, "MicF_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 384, "OxyS_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 385, "RNase_MRP_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 386, "RNase_P_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 387, "RprA_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 388, "RRE_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 389, "spot_42_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 390, "telomerase_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 391, "U1_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 392, "U2_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 393, "U4_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 394, "U4atac_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 395, "U5_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 396, "U6_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 397, "U6atac_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 398, "U11_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 399, "U12_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 400, "sequence_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 401, "gene_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 403, "U14_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 404, "vault_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 405, "Y_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 406, "twintron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 407, "rRNA_18S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 409, "binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 410, "protein_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 411, "rescue_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 412, "restriction_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 413, "sequence_difference", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 414, "invalidated_by_genomic_contamination", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 415, "invalidated_by_genomic_polyA_primed_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 416, "invalidated_by_partial_processing", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 417, "polypeptide_domain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 418, "signal_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 419, "mature_protein_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 420, "five_prime_terminal_inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 421, "three_prime_terminal_inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 422, "U5_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 423, "R_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 424, "U3_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 425, "five_prime_LTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 426, "three_prime_LTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 427, "R_five_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 428, "U5_five_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 429, "U3_five_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 430, "R_three_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 431, "U3_three_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 432, "U5_three_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 433, "non_LTR_retrotransposon_polymeric_tract", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 434, "target_site_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 435, "RR_tract", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 436, "ARS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 439, "inverted_ring_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 440, "vector_replicon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 441, "ss_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 442, "ds_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 443, "polymer_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 444, "three_prime_noncoding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 445, "five_prime_noncoding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 446, "UTR_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 447, "five_prime_UTR_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 448, "three_prime_UTR_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 449, "random_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 450, "interband", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 451, "gene_with_polyadenylated_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 453, "chromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 454, "rasiRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 455, "gene_with_mRNA_with_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 456, "recombinationally_rearranged_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 457, "interchromosomal_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 458, "D_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 459, "gene_with_trans_spliced_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 460, "vertebrate_immunoglobulin_T_cell_receptor_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 461, "inversion_derived_bipartite_deficiency", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 462, "pseudogenic_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 463, "encodes_alternately_spliced_transcripts", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 464, "decayed_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 465, "inversion_derived_deficiency_plus_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 466, "V_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 467, "post_translationally_regulated_by_protein_stability", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 468, "golden_path_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 469, "post_translationally_regulated_by_protein_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 470, "J_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 471, "autoregulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 472, "tiling_path", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 473, "negatively_autoregulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 474, "tiling_path_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 475, "positively_autoregulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 476, "contig_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 478, "C_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 479, "trans_spliced_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 480, "tiling_path_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 481, "terminal_inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 482, "vertebrate_immunoglobulin_T_cell_receptor_gene_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 483, "nc_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 484, "three_prime_coding_exon_noncoding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 485, "DJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 486, "five_prime_coding_exon_noncoding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 487, "VDJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 488, "VDJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 489, "VJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 490, "VJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 491, "VJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 492, "D_gene_recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 493, "three_prime_D_heptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 494, "three_prime_D_nonamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 495, "three_prime_D_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 496, "five_prime_D_heptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 497, "five_prime_D_nonamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 498, "five_prime_D_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 499, "virtual_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 500, "Hoogsteen_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 501, "reverse_Hoogsteen_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 504, "D_DJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 505, "D_DJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 506, "D_DJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 507, "pseudogenic_exon", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 508, "D_DJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 509, "D_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 510, "VD_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 511, "J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 512, "inversion_derived_deficiency_plus_aneuploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 513, "J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 514, "J_nonamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 515, "J_heptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 516, "pseudogenic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 517, "J_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 518, "V_DJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 519, "V_DJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 520, "V_VDJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 521, "V_VDJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 522, "V_VDJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 523, "V_VJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 524, "V_VJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 525, "V_VJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 526, "V_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 527, "V_D_DJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 528, "V_D_DJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 529, "V_D_DJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 530, "V_D_DJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 531, "V_D_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 532, "V_D_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 533, "V_heptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 534, "V_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 535, "V_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 536, "V_nonamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 537, "V_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 538, "V_gene_recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 539, "DJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 540, "DJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 541, "VDJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 542, "V_DJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 544, "helitron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 545, "recoding_pseudoknot", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 546, "designed_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 547, "inversion_derived_bipartite_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 548, "gene_with_edited_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 549, "inversion_derived_duplication_plus_aneuploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 550, "aneuploid_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 551, "polyA_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 552, "Shine_Dalgarno_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 553, "polyA_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 555, "five_prime_clip", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 556, "five_prime_D_recombination_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 557, "three_prime_clip", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 558, "C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 559, "D_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 560, "D_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 561, "heptamer_of_recombination_feature_of_vertebrate_immune_system_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 562, "nonamer_of_recombination_feature_of_vertebrate_immune_system_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 563, "vertebrate_immune_system_gene_recombination_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 564, "V_DJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 565, "V_VDJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 566, "V_VJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 567, "inversion_derived_aneuploid_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 568, "bidirectional_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 569, "retrotransposed", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 570, "three_prime_D_recombination_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 571, "miRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 572, "DJ_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 573, "rRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 574, "VDJ_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 575, "scRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 576, "VJ_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 577, "centromere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 578, "snoRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 579, "edited_transcript_feature", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 580, "methylation_guide_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 581, "cap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 582, "rRNA_cleavage_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 583, "pre_edited_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 584, "tmRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 585, "C_D_box_snoRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 586, "tmRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 587, "group_I_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 588, "autocatalytically_spliced_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 589, "SRP_RNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 590, "SRP_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 591, "pseudoknot", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 592, "H_pseudoknot", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 593, "C_D_box_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 594, "H_ACA_box_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 595, "C_D_box_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 596, "H_ACA_box_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 602, "guide_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 603, "group_II_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 604, "editing_block", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 605, "intergenic_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 606, "editing_domain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 607, "unedited_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 608, "H_ACA_box_snoRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 609, "oligo_U_tail", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 610, "polyA_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 611, "branch_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 612, "polypyrimidine_tract", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 613, "bacterial_RNApol_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 614, "bacterial_terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 615, "terminator_of_type_2_RNApol_III_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 616, "transcription_end_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 617, "RNApol_III_promoter_type_1", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 618, "RNApol_III_promoter_type_2", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 619, "A_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 620, "B_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 621, "RNApol_III_promoter_type_3", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 622, "C_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 623, "snRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 624, "telomere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 625, "silencer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 626, "chromosomal_regulatory_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 627, "insulator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 628, "chromosomal_structural_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 629, "five_prime_open_reading_frame", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 630, "upstream_AUG_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 631, "polycistronic_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 632, "monocistronic_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 633, "monocistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 634, "polycistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 635, "mini_exon_donor_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 636, "spliced_leader_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 637, "engineered_plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 638, "transcribed_spacer_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 639, "internal_transcribed_spacer_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 640, "external_transcribed_spacer_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 641, "tetranucleotide_repeat_microsatellite_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 642, "SRP_RNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 643, "minisatellite", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 644, "antisense_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 645, "antisense_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 646, "siRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 647, "miRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 648, "stRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 649, "stRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 650, "small_subunit_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 651, "large_subunit_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 652, "rRNA_5S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 653, "rRNA_28S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 654, "maxicircle_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 655, "ncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 656, "stRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 657, "repeat_region", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 658, "dispersed_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 659, "tmRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 662, "spliceosomal_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 663, "tRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 664, "introgressed_chromosome_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 665, "monocistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 666, "mobile_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 667, "insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 668, "EST_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 669, "sequence_rearrangement_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 670, "chromosome_breakage_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 671, "internal_eliminated_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 672, "macronucleus_destined_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 673, "transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 676, "canonical_three_prime_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 677, "canonical_five_prime_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 678, "non_canonical_three_prime_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 679, "non_canonical_five_prime_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 680, "non_canonical_start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 681, "aberrant_processed_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 683, "exonic_splice_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 684, "nuclease_sensitive_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 685, "DNAseI_hypersensitive_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 686, "translocation_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 687, "deletion_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 688, "golden_path", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 689, "cDNA_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 690, "gene_with_polycistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 691, "cleaved_initiator_methionine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 692, "gene_with_dicistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 693, "gene_with_recoded_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 694, "SNP", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 695, "reagent", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 696, "oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 697, "gene_with_stop_codon_read_through", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 698, "gene_with_stop_codon_redefined_as_pyrrolysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 699, "junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 700, "remark", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 701, "possible_base_call_error", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 702, "possible_assembly_error", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 703, "experimental_result_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 704, "gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 705, "tandem_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 706, "trans_splice_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 707, "trans_splice_donor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 708, "SL1_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 709, "SL2_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 710, "gene_with_stop_codon_redefined_as_selenocysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 711, "gene_with_mRNA_recoded_by_translational_bypass", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 712, "gene_with_transcript_with_translational_frameshift", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 713, "DNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 714, "nucleotide_motif", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 715, "RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 716, "dicistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 717, "reading_frame", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 718, "blocked_reading_frame", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 719, "ultracontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 720, "foreign_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 721, "gene_with_dicistronic_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 722, "gene_with_dicistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 723, "iDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 724, "oriT", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 725, "transit_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 726, "repeat_unit", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 727, "CRM", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 728, "intein", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 729, "intein_containing", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 730, "gap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 731, "fragmentary", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 732, "predicted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 733, "feature_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 734, "exemplar_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 735, "sequence_location", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 736, "organelle_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 737, "mitochondrial_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 738, "nuclear_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 739, "nucleomorphic_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 740, "plastid_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 741, "kinetoplast", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 742, "maxicircle", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 743, "apicoplast_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 744, "chromoplast_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 745, "chloroplast_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 746, "cyanelle_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 747, "leucoplast_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 748, "proplastid_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 749, "plasmid_location", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 750, "amplification_origin", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 751, "proviral_location", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 752, "gene_group_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 753, "clone_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 754, "lambda_vector", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 755, "plasmid_vector", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 756, "cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 757, "single_stranded_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 758, "double_stranded_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 766, "pyrrolysyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 768, "episome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 769, "tmRNA_coding_piece", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 770, "tmRNA_acceptor_piece", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 771, "QTL", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 772, "genomic_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 773, "pathogenic_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 774, "metabolic_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 775, "adaptive_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 776, "symbiosis_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 777, "pseudogenic_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 778, "pseudogenic_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 779, "engineered_episome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 781, "transgenic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 782, "natural", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 783, "engineered", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 784, "foreign", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 785, "cloned_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 789, "validated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 790, "invalidated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 794, "engineered_rescue_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 795, "rescue_mini_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 796, "transgenic_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 797, "natural_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 798, "engineered_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 799, "engineered_foreign_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 800, "assortment_derived_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 801, "assortment_derived_deficiency_plus_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 802, "assortment_derived_deficiency", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 803, "assortment_derived_aneuploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 804, "engineered_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 805, "engineered_foreign_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 806, "fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 807, "engineered_tag", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 808, "validated_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 809, "invalidated_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 810, "chimeric_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 811, "genomically_contaminated_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 812, "polyA_primed_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 813, "partially_processed_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 814, "rescue", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 815, "mini_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 816, "rescue_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 817, "wild_type", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 818, "wild_type_rescue_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 819, "mitochondrial_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 820, "chloroplast_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 821, "chromoplast_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 822, "cyanelle_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 823, "leucoplast_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 824, "macronuclear_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 825, "micronuclear_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 828, "nuclear_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 829, "nucleomorphic_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 830, "chromosome_part", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 831, "gene_member_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 833, "transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 834, "mature_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 835, "primary_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 836, "mRNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 837, "UTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 838, "rRNA_primary_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 839, "polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 840, "repeat_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 841, "spliceosomal_intron_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 842, "gene_component_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 847, "tmRNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 848, "LTR_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 849, "three_prime_LTR_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 850, "five_prime_LTR_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 851, "CDS_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 852, "exon_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 853, "homologous_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 854, "paralogous_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 855, "orthologous_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 856, "conserved", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 857, "homologous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 858, "orthologous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 859, "paralogous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 860, "syntenic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 861, "capped_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 862, "capped_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 863, "mRNA_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 864, "exemplar", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 865, "frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 866, "minus_1_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 867, "minus_2_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 868, "plus_1_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 869, "plus_2_framshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 870, "trans_spliced", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 871, "polyadenylated_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 872, "trans_spliced_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 873, "edited_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 874, "edited_transcript_by_A_to_I_substitution", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 875, "bound_by_protein", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 876, "bound_by_nucleic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 877, "alternatively_spliced", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 878, "monocistronic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 879, "dicistronic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 880, "polycistronic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 881, "recoded", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 882, "codon_redefined", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 883, "stop_codon_read_through", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 884, "stop_codon_redefined_as_pyrrolysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 885, "stop_codon_redefined_as_selenocysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 886, "recoded_by_translational_bypass", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 887, "translationally_frameshifted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 888, "maternally_imprinted_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 889, "paternally_imprinted_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 890, "post_translationally_regulated_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 891, "negatively_autoregulated_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 892, "positively_autoregulated_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 893, "silenced", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 894, "silenced_by_DNA_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 895, "silenced_by_DNA_methylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 896, "translationally_regulated_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 897, "allelically_excluded_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 898, "epigenetically_modified_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 902, "transgene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 903, "endogenous_retroviral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 904, "rearranged_at_DNA_level", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 905, "status", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 906, "independently_known", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 907, "supported_by_sequence_similarity", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 908, "supported_by_domain_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 909, "supported_by_EST_or_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 910, "orphan", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 911, "predicted_by_ab_initio_computation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 912, "asx_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 913, "cloned_cDNA_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 914, "cloned_genomic_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 915, "engineered_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 929, "edited_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 930, "guide_RNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 931, "anchor_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 932, "pre_edited_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 933, "intermediate", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 934, "miRNA_target_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 935, "edited_CDS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 936, "vertebrate_immunoglobulin_T_cell_receptor_rearranged_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 938, "vertebrate_immunoglobulin_T_cell_receptor_rearranged_gene_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 939, "vertebrate_immune_system_gene_recombination_signal_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 940, "recombinationally_rearranged", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 941, "recombinationally_rearranged_vertebrate_immune_system_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 942, "attP_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 943, "attB_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 944, "attL_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 945, "attR_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 946, "integration_excision_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 947, "resolution_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 948, "inversion_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 949, "dif_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 950, "attC_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 951, "eukaryotic_terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 952, "oriV", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 953, "oriC", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 954, "DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 955, "double_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 956, "single_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 957, "linear_double_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 958, "circular_double_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 959, "linear_single_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 960, "circular_single_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 961, "RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 962, "single_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 963, "linear_single_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 964, "linear_double_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 965, "double_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 966, "circular_single_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 967, "circular_double_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 973, "insertion_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 975, "minicircle_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 976, "cryptic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 977, "anchor_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 978, "template_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 979, "gRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 980, "minicircle", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 981, "rho_dependent_bacterial_terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 982, "rho_independent_bacterial_terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 983, "strand_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 984, "single", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 985, "double", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 986, "topology_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 987, "linear", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 988, "circular", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 989, "class_II_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 990, "class_I_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 991, "genomic_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 992, "BAC_cloned_genomic_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 993, "consensus", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 994, "consensus_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 995, "consensus_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 996, "predicted_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 997, "gene_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 998, "recursive_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 999, "BAC_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000, "rRNA_16S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001, "rRNA_23S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1002, "rRNA_25S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1003, "solo_LTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1004, "low_complexity", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1005, "low_complexity_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1006, "prophage", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1007, "cryptic_prophage", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1008, "tetraloop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1009, "DNA_constraint_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1010, "i_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1011, "PNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1012, "DNAzyme", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1013, "MNP", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1014, "intron_domain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1015, "wobble_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1016, "internal_guide_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1017, "silent_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1018, "epitope", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1019, "copy_number_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1021, "chromosome_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1022, "inversion_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1023, "allele", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1024, "haplotype", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1025, "polymorphic_sequence_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1026, "genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1027, "genotype", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1028, "diplotype", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1029, "direction_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1030, "forward", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1031, "reverse", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1032, "mitochondrial_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1033, "chloroplast_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1034, "mirtron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1035, "piRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1036, "arginyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1037, "mobile_genetic_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1038, "extrachromosomal_mobile_genetic_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1039, "integrated_mobile_genetic_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1040, "integrated_plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1041, "viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1042, "phage_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1043, "attCtn_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1044, "nuclear_mt_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1045, "cointegrated_plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1046, "IRLinv_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1047, "IRRinv_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1048, "inversion_site_part", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1049, "defective_conjugative_transposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1050, "repeat_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1054, "transposon_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1055, "transcriptional_cis_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1056, "splicing_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1058, "promoter_targeting_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1059, "sequence_alteration", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1060, "sequence_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1061, "propeptide_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1062, "propeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1063, "immature_peptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1064, "active_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1066, "compositionally_biased_region_of_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1067, "polypeptide_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1068, "polypeptide_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1070, "polypeptide_structural_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1071, "membrane_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1072, "extramembrane_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1073, "cytoplasmic_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1074, "non_cytoplasmic_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1075, "intramembrane_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1076, "membrane_peptide_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1077, "transmembrane_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1078, "polypeptide_secondary_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1079, "polypeptide_structural_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1080, "coiled_coil", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1081, "helix_turn_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1082, "polypeptide_sequencing_information", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1083, "non_adjacent_residues", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1084, "non_terminal_residue", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1085, "sequence_conflict", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1086, "sequence_uncertainty", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1089, "post_translationally_modified_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1092, "polypeptide_metal_contact", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1093, "protein_protein_contact", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1094, "polypeptide_calcium_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1095, "polypeptide_cobalt_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1096, "polypeptide_copper_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1097, "polypeptide_iron_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1098, "polypeptide_magnesium_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1099, "polypeptide_manganese_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1100, "polypeptide_molybdenum_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1101, "polypeptide_nickel_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1102, "polypeptide_tungsten_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1103, "polypeptide_zinc_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1104, "catalytic_residue", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1105, "polypeptide_ligand_contact", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1106, "asx_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1107, "beta_bulge", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1108, "beta_bulge_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1109, "beta_bulge_loop_five", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1110, "beta_bulge_loop_six", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1111, "beta_strand", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1112, "antiparallel_beta_strand", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1113, "parallel_beta_strand", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1114, "peptide_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1115, "left_handed_peptide_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1116, "right_handed_peptide_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1117, "alpha_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1118, "pi_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1119, "three_ten_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1120, "polypeptide_nest_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1121, "polypeptide_nest_left_right_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1122, "polypeptide_nest_right_left_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1123, "schellmann_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1124, "schellmann_loop_seven", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1125, "schellmann_loop_six", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1126, "serine_threonine_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1127, "serine_threonine_staple_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1128, "polypeptide_turn_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1129, "asx_turn_left_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1130, "asx_turn_left_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1131, "asx_turn_right_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1132, "asx_turn_right_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1133, "beta_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1134, "beta_turn_left_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1135, "beta_turn_left_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1136, "beta_turn_right_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1137, "beta_turn_right_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1138, "gamma_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1139, "gamma_turn_classic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1140, "gamma_turn_inverse", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1141, "serine_threonine_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1142, "st_turn_left_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1143, "st_turn_left_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1144, "st_turn_right_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1145, "st_turn_right_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1146, "polypeptide_variation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1147, "natural_variant_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1148, "mutated_variant_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1149, "alternate_sequence_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1150, "beta_turn_type_six", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1151, "beta_turn_type_six_a", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1152, "beta_turn_type_six_a_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1153, "beta_turn_type_six_a_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1154, "beta_turn_type_six_b", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1155, "beta_turn_type_eight", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1156, "DRE_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1157, "DMv4_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1158, "E_box_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1159, "DMv5_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1160, "DMv3_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1161, "DMv2_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1162, "MTE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1163, "INR1_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1164, "DPE1_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1165, "DMv1_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1166, "GAGA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1167, "NDM2_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1168, "NDM3_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1169, "ds_RNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1170, "polinton", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1171, "rRNA_21S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1172, "tRNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1173, "anticodon_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1174, "anticodon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1175, "CCA_tail", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1176, "DHU_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1177, "T_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1178, "pyrrolysine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1179, "U3_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1180, "AU_rich_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1181, "Bruno_response_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1182, "iron_responsive_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1183, "morpholino_backbone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1184, "PNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1185, "enzymatic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1186, "ribozymic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1187, "pseudouridylation_guide_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1188, "LNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1189, "LNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1190, "TNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1191, "TNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1192, "GNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1193, "GNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1194, "R_GNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1195, "R_GNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1196, "S_GNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1197, "S_GNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1198, "ds_DNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1199, "ss_RNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1200, "negative_sense_ssRNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1201, "positive_sense_ssRNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1202, "ambisense_ssRNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1203, "RNA_polymerase_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1204, "Phage_RNA_Polymerase_Promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1205, "SP6_RNA_Polymerase_Promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1206, "T3_RNA_Polymerase_Promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1207, "T7_RNA_Polymerase_Promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1208, "five_prime_EST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1209, "three_prime_EST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1210, "translational_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1211, "plus_1_translational_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1212, "plus_2_translational_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1213, "group_III_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1214, "noncoding_region_of_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1215, "coding_region_of_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1216, "endonuclease_spliced_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1217, "protein_coding_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1218, "transgenic_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1219, "retrogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1220, "silenced_by_RNA_interference", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1221, "silenced_by_histone_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1222, "silenced_by_histone_methylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1223, "silenced_by_histone_deacetylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1224, "gene_silenced_by_RNA_interference", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1225, "gene_silenced_by_histone_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1226, "gene_silenced_by_histone_methylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1227, "gene_silenced_by_histone_deacetylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1228, "dihydrouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1229, "pseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1230, "inosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1231, "seven_methylguanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1232, "ribothymidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1233, "methylinosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1234, "mobile", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1235, "replicon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1236, "base", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1237, "amino_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1238, "major_TSS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1239, "minor_TSS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1240, "TSS_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1241, "encodes_alternate_transcription_start_sites", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1243, "miRNA_primary_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1244, "pre_miRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1245, "miRNA_stem", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1246, "miRNA_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1247, "synthetic_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1248, "assembly", ZMAPSTYLE_MODE_ASSEMBLY_PATH, ZMAPHOMOL_NONE },
  { 1249, "fragment_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1250, "fingerprint_map", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1251, "STS_map", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1252, "RH_map", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1253, "sonicate_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1254, "polyploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1255, "autopolyploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1256, "allopolyploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1257, "homing_endonuclease_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1258, "octamer_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1259, "apicoplast_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1260, "sequence_collection", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1261, "overlapping_feature_set", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1262, "overlapping_EST_set", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1263, "ncRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1264, "gRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1265, "miRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1266, "scRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1267, "snoRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1268, "snRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1269, "SRP_RNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1270, "stRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1271, "tmRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1272, "tRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1273, "modified_adenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1274, "modified_inosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1275, "modified_cytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1276, "modified_guanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1277, "modified_uridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1278, "one_methylinosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1279, "one_two_prime_O_dimethylinosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1280, "two_prime_O_methylinosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1281, "three_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1282, "five_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1283, "two_prime_O_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1284, "two_thiocytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1285, "N4_acetylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1286, "five_formylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1287, "five_two_prime_O_dimethylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1288, "N4_acetyl_2_prime_O_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1289, "lysidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1290, "N4_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1291, "N4_2_prime_O_dimethylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1292, "five_hydroxymethylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1293, "five_formyl_two_prime_O_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1294, "N4_N4_2_prime_O_trimethylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1295, "one_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1296, "two_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1297, "N6_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1298, "two_prime_O_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1299, "two_methylthio_N6_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1300, "N6_isopentenyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1301, "two_methylthio_N6_isopentenyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1302, "N6_cis_hydroxyisopentenyl_adenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1303, "two_methylthio_N6_cis_hydroxyisopentenyl_adenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1304, "N6_glycinylcarbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1305, "N6_threonylcarbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1306, "two_methylthio_N6_threonyl_carbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1307, "N6_methyl_N6_threonylcarbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1308, "N6_hydroxynorvalylcarbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1309, "two_methylthio_N6_hydroxynorvalyl_carbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1310, "two_prime_O_ribosyladenosine_phosphate", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1311, "N6_N6_dimethyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1312, "N6_2_prime_O_dimethyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1313, "N6_N6_2_prime_O_trimethyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1314, "one_two_prime_O_dimethyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1315, "N6_acetyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1316, "seven_deazaguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1317, "queuosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1318, "epoxyqueuosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1319, "galactosyl_queuosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1320, "mannosyl_queuosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1321, "seven_cyano_seven_deazaguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1322, "seven_aminomethyl_seven_deazaguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1323, "archaeosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1324, "one_methylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1325, "N2_methylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1326, "seven_methylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1327, "two_prime_O_methylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1328, "N2_N2_dimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1329, "N2_2_prime_O_dimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1330, "N2_N2_2_prime_O_trimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1331, "two_prime_O_ribosylguanosine_phosphate", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1332, "wybutosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1333, "peroxywybutosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1334, "hydroxywybutosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1335, "undermodified_hydroxywybutosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1336, "wyosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1337, "methylwyosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1338, "N2_7_dimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1339, "N2_N2_7_trimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1340, "one_two_prime_O_dimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1341, "four_demethylwyosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1342, "isowyosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1343, "N2_7_2prirme_O_trimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1344, "five_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1345, "two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1346, "five_two_prime_O_dimethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1347, "one_methylpseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1348, "two_prime_O_methylpseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1349, "two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1350, "four_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1351, "five_methyl_2_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1352, "two_thio_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1353, "three_three_amino_three_carboxypropyl_uridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1354, "five_hydroxyuridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1355, "five_methoxyuridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1356, "uridine_five_oxyacetic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1357, "uridine_five_oxyacetic_acid_methyl_ester", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1358, "five_carboxyhydroxymethyl_uridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1359, "five_carboxyhydroxymethyl_uridine_methyl_ester", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1360, "five_methoxycarbonylmethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1361, "five_methoxycarbonylmethyl_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1362, "five_methoxycarbonylmethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1363, "five_aminomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1364, "five_methylaminomethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1365, "five_methylaminomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1366, "five_methylaminomethyl_two_selenouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1367, "five_carbamoylmethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1368, "five_carbamoylmethyl_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1369, "five_carboxymethylaminomethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1370, "five_carboxymethylaminomethyl_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1371, "five_carboxymethylaminomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1372, "three_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1373, "one_methyl_three_three_amino_three_carboxypropyl_pseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1374, "five_carboxymethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1375, "three_two_prime_O_dimethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1376, "five_methyldihydrouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1377, "three_methylpseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1378, "five_taurinomethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1379, "five_taurinomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1380, "five_isopentenylaminomethyl_uridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1381, "five_isopentenylaminomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1382, "five_isopentenylaminomethyl_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1383, "histone_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1384, "CDS_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1385, "modified_amino_acid_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1386, "modified_glycine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1387, "modified_L_alanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1388, "modified_L_asparagine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1389, "modified_L_aspartic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1390, "modified_L_cysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1391, "modified_L_glutamic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1392, "modified_L_threonine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1393, "modified_L_tryptophan", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1394, "modified_L_glutamine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1395, "modified_L_methionine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1396, "modified_L_isoleucine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1397, "modified_L_phenylalanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1398, "modified_L_histidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1399, "modified_L_serine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1400, "modified_L_lysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1401, "modified_L_leucine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1402, "modified_L_selenocysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1403, "modified_L_valine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1404, "modified_L_proline", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1405, "modified_L_tyrosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1406, "modified_L_arginine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1407, "peptidyl", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1408, "cleaved_for_gpi_anchor_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1409, "biomaterial_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1410, "experimental_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1411, "biological_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1412, "topologically_defined_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1413, "translocation_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1414, "insertion_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1415, "deletion_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1416, "five_prime_flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1417, "three_prime_flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1418, "transcribed_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1419, "cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1420, "trans_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1421, "splice_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1422, "conformational_switch", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1423, "dye_terminator_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1424, "pyrosequenced_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1425, "ligation_based_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1426, "polymerase_synthesis_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1427, "cis_regulatory_frameshift_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1428, "expressed_sequence_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1429, "DNA_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1431, "cryptic_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1433, "three_prime_RACE_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1434, "cassette_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1435, "alanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1436, "valine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1437, "leucine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1438, "isoleucine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1439, "proline", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1440, "tryptophan", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1441, "phenylalanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1442, "methionine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1443, "glycine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1444, "serine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1445, "threonine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1446, "tyrosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1447, "cysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1448, "glutamine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1449, "asparagine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1450, "lysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1451, "arginine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1452, "histidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1453, "aspartic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1454, "glutamic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1455, "selenocysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1456, "pyrrolysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1457, "transcribed_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1458, "unigene_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1459, "CRISPR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1460, "insulator_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1461, "enhancer_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1462, "contig_collection", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1463, "lincRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1464, "UST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1465, "three_prime_UST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1466, "five_prime_UST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1467, "RST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1468, "three_prime_RST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1469, "five_prime_RST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1470, "UST_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 1471, "RST_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 1472, "primer_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 1473, "miRNA_antiguide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1474, "trans_splice_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1475, "outron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1476, "natural_plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1477, "gene_trap_construct", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1478, "promoter_trap_construct", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1479, "enhancer_trap_construct", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1480, "PAC_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1481, "RAPD", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1482, "shadow_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1483, "SNV", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1484, "X_element_combinatorial_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1485, "Y_prime_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1486, "standard_draft", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1487, "high_quality_draft", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1488, "improved_high_quality_draft", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1489, "annotation_directed_improved_draft", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1490, "noncontiguous_finished", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1491, "finished_genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1492, "intronic_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1493, "centromere_DNA_Element_I", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1494, "centromere_DNA_Element_II", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1495, "centromere_DNA_Element_III", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1496, "telomeric_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1497, "X_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1498, "YAC_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1499, "whole_genome_sequence_status", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1500, "heritable_phenotypic_marker", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1501, "peptide_collection", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1502, "high_identity_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1503, "processed_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1504, "assortment_derived_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1505, "reference_genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1506, "variant_genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1507, "variant_collection", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1508, "alteration_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1509, "chromosomal_variation_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1510, "intrachromosomal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1511, "interchromosomal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1512, "insertion_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1513, "tandem", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1514, "direct", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1515, "inverted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1516, "free", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1517, "inversion_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1518, "pericentric", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1519, "paracentric", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1520, "translocaton_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1521, "reciprocal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1522, "insertional", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1523, "duplication_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1524, "chromosomally_aberrant_genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1525, "assembly_error_correction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1526, "base_call_error_correction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1527, "peptide_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1528, "nuclear_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1529, "endosomal_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1530, "lysosomal_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1531, "nuclear_export_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1532, "recombination_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1533, "cryptic_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1534, "nuclear_rim_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1535, "p_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1536, "functional_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1537, "structural_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1538, "transcript_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1539, "translational_product_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1540, "level_of_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1541, "decreased_transcript_level_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1542, "increased_transcript_level_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1543, "transcript_processing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1544, "editing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1545, "polyadenylation_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1546, "transcript_stability_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1547, "decreased_transcript_stability_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1548, "increased_transcript_stability_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1549, "transcription_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1550, "rate_of_transcription_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1551, "increased_transcription_rate_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1552, "decreased_transcription_rate_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1553, "translational_product_level_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1554, "polypeptide_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1555, "decreased_translational_product_level", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1556, "increased_translational_product_level", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1557, "polypeptide_gain_of_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1558, "polypeptide_localization_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1559, "polypeptide_loss_of_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1560, "inactive_ligand_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1561, "polypeptide_partial_loss_of_function", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1562, "polypeptide_post_translational_processing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1563, "copy_number_change", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1564, "gene_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1565, "gene_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1566, "regulatory_region_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1567, "stop_retained_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1568, "splicing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1569, "cryptic_splice_site_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1570, "cryptic_splice_acceptor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1571, "cryptic_splice_donor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1572, "exon_loss_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1573, "intron_gain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1574, "splice_acceptor_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1575, "splice_donor_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1576, "transcript_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1577, "complex_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1578, "stop_lost", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1580, "coding_sequence_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1582, "initiator_codon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1583, "missense_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1585, "conservative_missense_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1586, "non_conservative_missense_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1587, "stop_gained", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1589, "frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1590, "terminator_codon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1591, "frame_restoring_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1592, "minus_1_frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1593, "minus_2_frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1594, "plus_1_frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1595, "plus_2_frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1596, "transcript_secondary_structure_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1597, "compensatory_transcript_secondary_structure_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1598, "translational_product_structure_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1599, "3D_polypeptide_structure_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1600, "complex_3D_structural_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1601, "conformational_change_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1602, "complex_change_of_translational_product_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1603, "polypeptide_sequence_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1604, "amino_acid_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1605, "amino_acid_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1606, "amino_acid_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1607, "conservative_amino_acid_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1608, "non_conservative_amino_acid_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1609, "elongated_polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1610, "elongated_polypeptide_C_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1611, "elongated_polypeptide_N_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1612, "elongated_in_frame_polypeptide_C_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1613, "elongated_out_of_frame_polypeptide_C_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1614, "elongated_in_frame_polypeptide_N_terminal_elongation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1615, "elongated_out_of_frame_polypeptide_N_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1616, "polypeptide_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1617, "polypeptide_truncation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1618, "inactive_catalytic_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1619, "non_coding_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1620, "mature_miRNA_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1621, "NMD_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1622, "UTR_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1623, "5_prime_UTR_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1624, "3_prime_UTR_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1626, "incomplete_terminal_codon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1627, "intron_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1628, "intergenic_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1629, "splice_site_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1630, "splice_region_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1631, "upstream_gene_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1632, "downstream_gene_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1633, "5KB_downstream_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1634, "500B_downstream_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1635, "5KB_upstream_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1636, "2KB_upstream_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1637, "rRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1638, "piRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1639, "RNase_P_RNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1640, "RNase_MRP_RNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1641, "lincRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1642, "mathematically_defined_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1643, "telomerase_RNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1644, "targeting_vector", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1645, "genetic_marker", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1646, "DArT_marker", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1647, "kozak_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1648, "nested_transposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1649, "nested_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1650, "inframe_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1653, "retinoic_acid_responsive_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1654, "nucleotide_to_protein_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1655, "nucleotide_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1656, "metal_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1657, "ligand_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1658, "nested_tandem_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1659, "promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1660, "core_promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1661, "RNA_polymerase_II_TATA_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1662, "RNA_polymerase_III_TATA_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1663, "BREd_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1664, "DCE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1665, "DCE_SI", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1666, "DCE_SII", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1667, "DCE_SIII", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1668, "proximal_promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1669, "RNApol_II_core_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1670, "distal_promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1671, "bacterial_RNApol_promoter_sigma_70", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1672, "bacterial_RNApol_promoter_sigma54", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1673, "minus_12_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1674, "minus_24_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1675, "A_box_type_1", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1676, "A_box_type_2", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1677, "intermediate_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1678, "regulatory_promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1679, "transcription_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1680, "translation_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1681, "recombination_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1682, "replication_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1683, "sequence_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1684, "experimental_feature_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1685, "score", ZMAPSTYLE_MODE_GRAPH, ZMAPHOMOL_NONE },
  { 1686, "quality_value", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1687, "restriction_enzyme_recognition_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1688, "restriction_enzyme_cleavage_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1689, "five_prime_restriction_enzyme_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1690, "three_prime_restriction_enzyme_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1691, "blunt_end_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1692, "sticky_end_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1693, "blunt_end_restriction_enzyme_cleavage_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1694, "single_strand_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1695, "restriction_enzyme_single_strand_overhang", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1696, "experimentally_defined_binding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1697, "ChIP_seq_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1698, "ASPE_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1699, "dCAPS_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1700, "histone_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1701, "histone_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1702, "histone_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1703, "H3K9_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1704, "H3K14_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1705, "H3K4_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1706, "H3K4_trimethylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1707, "H3K9_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1708, "H3K27_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1709, "H3K27_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1710, "H3K79_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1711, "H3K79_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1712, "H3K79_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1713, "H4K20_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1714, "H2BK5_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1715, "ISRE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1716, "histone_ubiqitination_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1717, "H2B_ubiquitination_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1718, "H3K18_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1719, "H3K23_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1720, "epigenetically_modified_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1721, "H3K27_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1722, "H3K36_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1723, "H3K36_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1724, "H3K36_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1725, "H3K4_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1726, "H3K27_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1727, "H3K9_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1728, "H3K9_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1729, "H4K16_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1730, "H4K5_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1731, "H4K8_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1732, "H3K27_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1733, "H3K36_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1734, "H3K4_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1735, "H3K79_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1736, "H3K9_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1737, "histone_acylation_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1738, "H4K_acylation_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1739, "gene_with_non_canonical_start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1740, "gene_with_start_codon_CUG", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1741, "pseudogenic_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1742, "copy_number_gain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1743, "copy_number_loss", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1744, "UPD", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1745, "maternal_uniparental_disomy", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1746, "paternal_uniparental_disomy", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1747, "open_chromatin_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1748, "SL3_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1749, "SL4_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1750, "SL5_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1751, "SL6_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1752, "SL7_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1753, "SL8_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1754, "SL9_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1755, "SL10_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1756, "SL11_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1757, "SL12_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1758, "duplicated_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1759, "unitary_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1760, "non_processed_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1761, "variant_quality", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1762, "variant_origin", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1763, "variant_frequency", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1764, "unique_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1765, "rare_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1766, "polymorphic_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1767, "common_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1768, "fixed_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1769, "variant_phenotype", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1770, "benign_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1771, "disease_associated_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1772, "disease_causing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1773, "lethal_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1774, "quantitative_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1775, "maternal_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1776, "paternal_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1777, "somatic_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1778, "germline_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1779, "pedigree_specific_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1780, "population_specific_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1781, "de_novo_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1782, "TF_binding_site_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1784, "complex_structural_alteration", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1785, "structural_alteration", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1786, "loss_of_heterozygosity", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1787, "splice_donor_5th_base_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1788, "U_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1789, "mating_type_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1790, "paired_end_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1791, "exon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1792, "non_coding_transcript_exon_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1793, "clone_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1794, "point_centromere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1795, "regional_centromere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1796, "regional_centromere_central_core", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1797, "centromeric_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1798, "regional_centromere_inner_repeat_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1799, "regional_centromere_outer_repeat_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1800, "tasiRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1801, "tasiRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1802, "increased_polyadenylation_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1803, "decreased_polyadenylation_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1804, "DDB_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1805, "destruction_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1806, "ER_retention_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1807, "KEN_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1808, "mitochondrial_targeting_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1809, "signal_anchor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1810, "PIP_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1811, "phosphorylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1812, "transmembrane_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1813, "vacuolar_sorting_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1814, "coding_variant_quality", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1815, "synonymous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1816, "non_synonymous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1817, "inframe", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1818, "protein_altering_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1819, "synonymous_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1820, "inframe_indel", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1821, "inframe_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1822, "inframe_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1823, "conservative_inframe_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1824, "disruptive_inframe_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1825, "conservative_inframe_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1826, "disruptive_inframe_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1827, "mRNA_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1828, "genomic_DNA_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1829, "mRNA_contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1830, "AFLP_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1831, "protein_hmm_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 1832, "immunoglobulin_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1833, "V_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1834, "C_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1835, "N_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1836, "S_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1837, "mobile_element_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1838, "novel_sequence_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1839, "CSL_response_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1840, "GATA_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1841, "polymorphic_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1842, "AP_1_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1843, "CRE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1844, "CuRE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1845, "DRE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1846, "FLEX_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1847, "forkhead_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1848, "homol_D_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1849, "homol_E_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1850, "HSE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1851, "iron_repressed_GATA_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1852, "mating_type_M_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1853, "androgen_response_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1854, "smFISH_probe", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1855, "MCB", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1856, "CCAAT_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1857, "Ace2_UAS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1858, "TR_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1859, "STREP_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1860, "rDNA_intergenic_spacer_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1861, "sterol_regulatory_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1862, "GT_dinucleotide_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1863, "GTT_trinucleotide_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1864, "Sap1_recognition_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1865, "CDRE_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1866, "BAC_read_contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1867, "candidate_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1868, "positional_candidate_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1869, "functional_candidate_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1870, "enhancerRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1871, "PCB", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1872, "rearrangement_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1873, "interchromosomal_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1874, "intrachromosomal_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1875, "unassigned_supercontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1876, "partial_genomic_sequence_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1877, "lnc_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1878, "feature_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1879, "feature_ablation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1880, "feature_amplification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1881, "feature_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1882, "feature_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1883, "transcript_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1884, "regulatory_region_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1885, "TFBS_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1886, "transcript_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1887, "regulatory_region_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1888, "TFBS_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1889, "transcript_amplification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1890, "transcript_regulatory_region_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1891, "regulatory_region_amplification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1892, "TFBS_amplification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1893, "transcript_ablation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1894, "regulatory_region_ablation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1895, "TFBS_ablation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1896, "transposable_element_CDS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1897, "transposable_element_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1898, "dg_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1899, "dh_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1900, "M26_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1901, "AACCCT_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1902, "splice_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1903, "intronic_lncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1904, "antisense_lncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1905, "regional_centromere_outer_repeat_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1906, "feature_truncation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1907, "feature_elongation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1908, "internal_feature_elongation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1909, "frameshift_elongation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1910, "frameshift_truncation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1911, "copy_number_increase", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1912, "copy_number_decrease", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1913, "bacterial_RNApol_promoter_sigma_ecf", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1914, "rDNA_replication_fork_barrier", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1915, "transcription_start_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1916, "CAGE_tag", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1917, "CAGE_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1918, "5_methylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1919, "4_methylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1920, "N6_methyladenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1921, "mitochondrial_contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1922, "mitochondrial_supercontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1923, "TERRA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1924, "ARRET", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1925, "ARIA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1926, "anti_ARRET", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1927, "telomeric_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1928, "distal_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1929, "mitochondrial_DNA_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1930, "chloroplast_DNA_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1931, "consensus_gDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1932, "restriction_enzyme_five_prime_single_strand_overhang", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1933, "restriction_enzyme_three_prime_single_strand_overhang", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1934, "monomeric_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1935, "H3K20_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1936, "H3K36_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1937, "H2BK12_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1938, "H2AK5_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1939, "H4K12_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1940, "H2BK120_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1941, "H4K91_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1942, "H2BK20_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1943, "H3K4ac_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1944, "H2AK9_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1945, "H3K56_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1946, "H2BK15_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1947, "H3R2_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1948, "H3R2_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1949, "H4R3_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1950, "H4K4_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1951, "H3K23_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1952, "promoter_flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1953, "restriction_enzyme_assembly_scar", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1954, "restriction_enzyme_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1955, "protein_stability_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1956, "protease_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1958, "lariat_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1959, "TCT_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1960, "5_hydroxymethylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1961, "5_formylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1962, "modified_adenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1963, "modified_cytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1964, "modified_guanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1965, "8_oxoguanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1966, "5_carboxylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1967, "8_oxoadenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1968, "coding_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1969, "coding_transcript_intron_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1970, "non_coding_transcript_intron_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1971, "zinc_finger_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1972, "histone_4_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1973, "histone_3_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1974, "CTCF_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1975, "five_prime_sticky_end_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1976, "three_prime_sticky_end_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1977, "ribonuclease_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1978, "signature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1979, "RNA_stability_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1980, "G_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1981, "L_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1982, "I-box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1983, "5_prime_UTR_premature_start_codon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1984, "silent_mating_type_cassette_array", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1985, "Okazaki_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1986, "upstream_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1987, "downstream_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1988, "5_prime_UTR_premature_start_codon_gain_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1989, "5_prime_UTR_premature_start_codon_loss_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1990, "five_prime_UTR_premature_start_codon_location_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1991, "consensus_AFLP_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1992, "nonsynonymous_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5836, "regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5837, "U14_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 5841, "methylation_guide_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5843, "rRNA_cleavage_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5845, "exon_of_single_exon_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5847, "cassette_array_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5848, "gene_cassette_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5849, "gene_subarray_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5850, "primer_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5851, "gene_array", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5852, "gene_subarray", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5853, "gene_cassette", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5854, "gene_cassette_array", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5855, "gene_group", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5856, "selenocysteine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 5857, "selenocysteinyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5858, "syntenic_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100001, "biochemical_region_of_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100002, "molecular_contact_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100003, "intrinsically_unstructured_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100004, "catmat_left_handed_three", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100005, "catmat_left_handed_four", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100006, "catmat_right_handed_three", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100007, "catmat_right_handed_four", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100008, "alpha_beta_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100009, "lipoprotein_signal_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100010, "no_output", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100011, "cleaved_peptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100012, "peptide_coil", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100013, "hydrophobic_region_of_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100014, "n_terminal_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100015, "c_terminal_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100016, "central_hydrophobic_region_of_signal_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100017, "polypeptide_conserved_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100018, "polypeptide_binding_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100019, "polypeptide_catalytic_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100020, "polypeptide_DNA_contact", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100021, "polypeptide_conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000002, "substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000005, "complex_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000008, "point_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000009, "transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000010, "pyrimidine_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000011, "C_to_T_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000012, "C_to_T_transition_at_pCpG_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000013, "T_to_C_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000014, "purine_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000015, "A_to_G_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000016, "G_to_A_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000017, "transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000018, "pyrimidine_to_purine_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000019, "C_to_A_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000020, "C_to_G_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000021, "T_to_A_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000022, "T_to_G_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000023, "purine_to_pyrimidine_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000024, "A_to_C_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000025, "A_to_T_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000026, "G_to_C_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000027, "G_to_T_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000028, "intrachromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000029, "chromosomal_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000030, "chromosomal_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000031, "interchromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000032, "indel", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000035, "duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000036, "inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000037, "chromosomal_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000038, "intrachromosomal_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000039, "direct_tandem_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000040, "inverted_tandem_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000041, "intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000042, "compound_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000043, "Robertsonian_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000044, "chromosomal_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000045, "ring_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000046, "pericentric_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000047, "paracentric_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000048, "reciprocal_chromosomal_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000136, "autosynaptic_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000138, "homo_compound_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000140, "hetero_compound_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000141, "chromosome_fission", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000142, "dexstrosynaptic_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000143, "laevosynaptic_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000144, "free_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000145, "free_ring_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000146, "complex_chromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000147, "deficient_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000148, "inversion_cum_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000149, "bipartite_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000150, "cyclic_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000151, "bipartite_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000152, "uninverted_insertional_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000153, "inverted_insertional_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000154, "insertional_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000155, "interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000156, "inverted_interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000157, "uninverted_interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000158, "inverted_intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000159, "uninverted_intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000160, "unoriented_insertional_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000161, "unoriented_interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000162, "unoriented_intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000170, "uncharacterised_chromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000171, "deficient_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000173, "tandem_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000175, "partially_characterised_chromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000182, "chromosome_number_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000183, "chromosome_structure_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001187, "alternatively_spliced_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1001188, "encodes_1_polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001189, "encodes_greater_than_1_polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001190, "encodes_different_polypeptides_different_stop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001191, "encodes_overlapping_peptides_different_start", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001192, "encodes_disjoint_polypeptides", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001193, "encodes_overlapping_polypeptides_different_start_and_stop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001195, "encodes_overlapping_peptides", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001196, "cryptogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001197, "dicistronic_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1001217, "member_of_regulon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001246, "CDS_independently_known", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001247, "orphan_CDS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001249, "CDS_supported_by_domain_match_data", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001251, "CDS_supported_by_sequence_similarity_data", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001254, "CDS_predicted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001259, "CDS_supported_by_EST_or_cDNA_data", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001260, "internal_Shine_Dalgarno_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001261, "recoded_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001262, "minus_1_translationally_frameshifted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001263, "plus_1_translationally_frameshifted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001264, "mRNA_recoded_by_translational_bypass", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001265, "mRNA_recoded_by_codon_redefinition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001268, "recoding_stimulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001269, "four_bp_start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001271, "archaeal_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001272, "tRNA_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001273, "CTG_start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001274, "SECIS_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001275, "retron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001277, "three_prime_recoding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001279, "three_prime_stem_loop_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001280, "five_prime_recoding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001281, "flanking_three_prime_quadruplet_recoding_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001282, "UAG_stop_codon_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001283, "UAA_stop_codon_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001284, "regulon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001285, "UGA_stop_codon_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001286, "three_prime_repeat_recoding_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001287, "distant_three_prime_recoding_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001288, "stop_codon_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 2000061, "databank_entry", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 3000000, "gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE }
} ;

#define ZMAP_SO_DATA_TABLE03_NUM_ITEMS 2014
static const ZMapSOIDDataStruct ZMAP_SO_DATA_TABLE03[ZMAP_SO_DATA_TABLE03_NUM_ITEMS] = 
{
  { 1, "region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 2, "sequence_secondary_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 3, "G_quartet", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 4, "interior_coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5, "satellite_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 6, "PCR_product", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 7, "read_pair", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 10, "protein_coding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 11, "non_protein_coding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 12, "scRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 13, "scRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 14, "INR_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 15, "DPE_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 16, "BREu_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 17, "PSE_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 18, "linkage_group", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 20, "RNA_internal_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 21, "asymmetric_RNA_internal_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 22, "A_minor_RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 23, "K_turn_RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 24, "sarcin_like_RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 25, "symmetric_RNA_internal_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 26, "RNA_junction_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 27, "RNA_hook_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 28, "base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 29, "WC_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 30, "sugar_edge_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 31, "aptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 32, "DNA_aptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 33, "RNA_aptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 34, "morpholino_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 35, "riboswitch", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 36, "matrix_attachment_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 37, "locus_control_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 39, "match_part", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 40, "genomic_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 43, "processed_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 44, "pseudogene_by_unequal_crossing_over", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 51, "probe", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 54, "aneuploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 55, "hyperploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 56, "hypoploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 57, "operator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 59, "nuclease_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 60, "compound_chromosome_arm", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 61, "restriction_enzyme_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 62, "deficient_intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 63, "deficient_interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 65, "free_chromosome_arm", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 67, "gene_to_gene_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 68, "overlapping", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 69, "inside_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 70, "inside_intron_antiparallel", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 71, "inside_intron_parallel", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 73, "five_prime_three_prime_overlap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 74, "five_prime_five_prime_overlap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 75, "three_prime_three_prime_overlap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 76, "three_prime_five_prime_overlap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 77, "antisense", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 78, "polycistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 79, "dicistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 80, "operon_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 81, "gene_array_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 83, "macronuclear_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 84, "micronuclear_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 87, "nuclear_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 88, "mt_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 89, "kinetoplast_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 90, "plastid_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 91, "apicoplast_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 92, "ct_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 93, "chromoplast_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 94, "cyanelle_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 95, "leucoplast_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 96, "proplastid_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 97, "nucleomorph_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 98, "plasmid_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 99, "proviral_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100, "endogenous_retroviral_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 101, "transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 102, "expressed_sequence_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 103, "clone_insert_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 104, "polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 105, "chromosome_arm", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 107, "sequencing_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 108, "mRNA_with_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 110, "sequence_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 111, "transposable_element_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 112, "primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 113, "proviral_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 114, "methylated_cytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 116, "edited", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 118, "transcript_with_translational_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 119, "regulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 120, "protein_coding_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 121, "forward_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 122, "RNA_sequence_secondary_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 123, "transcriptionally_regulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 124, "transcriptionally_constitutive", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 125, "transcriptionally_induced", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 126, "transcriptionally_repressed", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 127, "silenced_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 128, "gene_silenced_by_DNA_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 129, "gene_silenced_by_DNA_methylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 130, "post_translationally_regulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 131, "translationally_regulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 132, "reverse_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 133, "epigenetically_modified", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 134, "genomically_imprinted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 135, "maternally_imprinted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 136, "paternally_imprinted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 137, "allelically_excluded", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 138, "gene_rearranged_at_DNA_level", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 139, "ribosome_entry_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 140, "attenuator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 141, "terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 142, "DNA_sequence_secondary_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 143, "assembly_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 145, "recoded_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 146, "capped", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 147, "exon", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 148, "supercontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 149, "contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 150, "read", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 151, "clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 152, "YAC", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 153, "BAC", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 154, "PAC", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 155, "plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 156, "cosmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 157, "phagemid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 158, "fosmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 159, "deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 161, "methylated_adenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 162, "splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 163, "five_prime_cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 164, "three_prime_cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 165, "enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 166, "enhancer_bound_by_factor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 167, "promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 169, "RNApol_I_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 170, "RNApol_II_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 171, "RNApol_III_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 172, "CAAT_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 173, "GC_rich_promoter_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 174, "TATA_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 175, "minus_10_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 176, "minus_35_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 177, "cross_genome_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 178, "operon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 179, "clone_insert_start", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 180, "retrotransposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 181, "translated_nucleotide_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 182, "DNA_transposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 183, "non_transcribed_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 184, "U2_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 185, "primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 186, "LTR_retrotransposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 188, "intron", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 189, "non_LTR_retrotransposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 190, "five_prime_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 191, "interior_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 192, "three_prime_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 193, "RFLP_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 194, "LINE_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 195, "coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 196, "five_prime_coding_exon_coding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 197, "three_prime_coding_exon_coding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 198, "noncoding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 199, "translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 200, "five_prime_coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 201, "interior_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 202, "three_prime_coding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 203, "UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 204, "five_prime_UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 205, "three_prime_UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 206, "SINE_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 207, "simple_sequence_length_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 208, "terminal_inverted_repeat_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 209, "rRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 210, "tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 211, "alanine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 212, "arginine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 213, "asparagine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 214, "aspartic_acid_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 215, "cysteine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 216, "glutamic_acid_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 217, "glutamine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 218, "glycine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 219, "histidine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 220, "isoleucine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 221, "leucine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 222, "lysine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 223, "methionine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 224, "phenylalanine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 225, "proline_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 226, "serine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 227, "threonine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 228, "tryptophan_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 229, "tyrosine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 230, "valine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 231, "snRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 232, "snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 233, "mature_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 234, "mRNA", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 235, "TF_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 236, "ORF", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 237, "transcript_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 238, "foldback_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 239, "flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 240, "chromosome_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 241, "internal_UTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 242, "untranslated_region_polycistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 243, "internal_ribosome_entry_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 246, "polyadenylated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 248, "sequence_length_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 250, "modified_RNA_base_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 252, "rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 253, "tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 254, "alanyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 255, "rRNA_small_subunit_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 256, "asparaginyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 257, "aspartyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 258, "cysteinyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 259, "glutaminyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 260, "glutamyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 261, "glycyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 262, "histidyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 263, "isoleucyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 264, "leucyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 265, "lysyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 266, "methionyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 267, "phenylalanyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 268, "prolyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 269, "seryl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 270, "threonyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 271, "tryptophanyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 272, "tyrosyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 273, "valyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 274, "snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 275, "snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 276, "miRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 277, "bound_by_factor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 278, "transcript_bound_by_nucleic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 279, "transcript_bound_by_protein", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 280, "engineered_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 281, "engineered_foreign_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 282, "mRNA_with_minus_1_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 283, "engineered_foreign_transposable_element_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 285, "foreign_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 286, "long_terminal_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 287, "fusion_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 288, "engineered_fusion_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 289, "microsatellite", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 290, "dinucleotide_repeat_microsatellite_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 291, "trinucleotide_repeat_microsatellite_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 293, "engineered_foreign_repetitive_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 294, "inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 295, "U12_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 296, "origin_of_replication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 297, "D_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 298, "recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 299, "specific_recombination_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 300, "recombination_feature_of_rearranged_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 301, "vertebrate_immune_system_gene_recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 302, "J_gene_recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 303, "clip", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 305, "modified_DNA_base", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 306, "methylated_DNA_base_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 307, "CpG_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 312, "experimentally_determined", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 313, "stem_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 314, "direct_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 315, "TSS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 316, "CDS", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 317, "cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 318, "start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 319, "stop_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 320, "intronic_splice_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 321, "mRNA_with_plus_1_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 322, "nuclease_hypersensitive_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 323, "coding_start", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 324, "tag", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 325, "rRNA_large_subunit_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 326, "SAGE_tag", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 327, "coding_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 328, "microarray_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 329, "mRNA_with_plus_2_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 330, "conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 331, "STS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 332, "coding_conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 333, "exon_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 334, "nc_conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 335, "mRNA_with_minus_2_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 336, "pseudogene", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 337, "RNAi_reagent", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 338, "MITE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 339, "recombination_hotspot", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 340, "chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 341, "chromosome_band", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 342, "site_specific_recombination_target_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 343, "match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 344, "splice_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 345, "EST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 346, "loxP_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 347, "nucleotide_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 348, "nucleic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 349, "protein_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 350, "FRT_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 351, "synthetic_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 352, "DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 353, "sequence_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 354, "group_1_intron_homing_endonuclease_target_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 355, "haplotype_block", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 356, "RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 357, "flanked", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 359, "floxed", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 360, "codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 361, "FRT_flanked", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 362, "invalidated_by_chimeric_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 363, "floxed_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 364, "transposable_element_flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 365, "integron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 366, "insertion_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 367, "attI_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 368, "transposable_element_insertion_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 370, "small_regulatory_ncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 371, "conjugative_transposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 372, "enzymatic_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 373, "recombinationally_inverted_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 374, "ribozyme", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 375, "rRNA_5_8S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 376, "RNA_6S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 377, "CsrB_RsmB_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 378, "DsrA_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 379, "GcvB_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 380, "hammerhead_ribozyme", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 381, "group_IIA_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 382, "group_IIB_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 383, "MicF_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 384, "OxyS_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 385, "RNase_MRP_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 386, "RNase_P_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 387, "RprA_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 388, "RRE_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 389, "spot_42_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 390, "telomerase_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 391, "U1_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 392, "U2_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 393, "U4_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 394, "U4atac_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 395, "U5_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 396, "U6_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 397, "U6atac_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 398, "U11_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 399, "U12_snRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 400, "sequence_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 401, "gene_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 403, "U14_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 404, "vault_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 405, "Y_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 406, "twintron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 407, "rRNA_18S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 409, "binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 410, "protein_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 411, "rescue_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 412, "restriction_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 413, "sequence_difference", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 414, "invalidated_by_genomic_contamination", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 415, "invalidated_by_genomic_polyA_primed_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 416, "invalidated_by_partial_processing", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 417, "polypeptide_domain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 418, "signal_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 419, "mature_protein_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 420, "five_prime_terminal_inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 421, "three_prime_terminal_inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 422, "U5_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 423, "R_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 424, "U3_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 425, "five_prime_LTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 426, "three_prime_LTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 427, "R_five_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 428, "U5_five_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 429, "U3_five_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 430, "R_three_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 431, "U3_three_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 432, "U5_three_prime_LTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 433, "non_LTR_retrotransposon_polymeric_tract", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 434, "target_site_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 435, "RR_tract", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 436, "ARS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 439, "inverted_ring_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 440, "vector_replicon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 441, "ss_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 442, "ds_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 443, "polymer_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 444, "three_prime_noncoding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 445, "five_prime_noncoding_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 446, "UTR_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 447, "five_prime_UTR_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 448, "three_prime_UTR_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 449, "random_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 450, "interband", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 451, "gene_with_polyadenylated_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 453, "chromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 454, "rasiRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 455, "gene_with_mRNA_with_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 456, "recombinationally_rearranged_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 457, "interchromosomal_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 458, "D_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 459, "gene_with_trans_spliced_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 460, "vertebrate_immunoglobulin_T_cell_receptor_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 461, "inversion_derived_bipartite_deficiency", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 462, "pseudogenic_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 463, "encodes_alternately_spliced_transcripts", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 464, "decayed_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 465, "inversion_derived_deficiency_plus_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 466, "V_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 467, "post_translationally_regulated_by_protein_stability", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 468, "golden_path_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 469, "post_translationally_regulated_by_protein_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 470, "J_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 471, "autoregulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 472, "tiling_path", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 473, "negatively_autoregulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 474, "tiling_path_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 475, "positively_autoregulated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 476, "contig_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 478, "C_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 479, "trans_spliced_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 480, "tiling_path_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 481, "terminal_inverted_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 482, "vertebrate_immunoglobulin_T_cell_receptor_gene_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 483, "nc_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 484, "three_prime_coding_exon_noncoding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 485, "DJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 486, "five_prime_coding_exon_noncoding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 487, "VDJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 488, "VDJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 489, "VJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 490, "VJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 491, "VJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 492, "D_gene_recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 493, "three_prime_D_heptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 494, "three_prime_D_nonamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 495, "three_prime_D_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 496, "five_prime_D_heptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 497, "five_prime_D_nonamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 498, "five_prime_D_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 499, "virtual_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 500, "Hoogsteen_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 501, "reverse_Hoogsteen_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 504, "D_DJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 505, "D_DJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 506, "D_DJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 507, "pseudogenic_exon", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 508, "D_DJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 509, "D_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 510, "VD_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 511, "J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 512, "inversion_derived_deficiency_plus_aneuploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 513, "J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 514, "J_nonamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 515, "J_heptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 516, "pseudogenic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 517, "J_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 518, "V_DJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 519, "V_DJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 520, "V_VDJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 521, "V_VDJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 522, "V_VDJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 523, "V_VJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 524, "V_VJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 525, "V_VJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 526, "V_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 527, "V_D_DJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 528, "V_D_DJ_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 529, "V_D_DJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 530, "V_D_DJ_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 531, "V_D_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 532, "V_D_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 533, "V_heptamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 534, "V_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 535, "V_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 536, "V_nonamer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 537, "V_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 538, "V_gene_recombination_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 539, "DJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 540, "DJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 541, "VDJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 542, "V_DJ_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 544, "helitron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 545, "recoding_pseudoknot", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 546, "designed_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 547, "inversion_derived_bipartite_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 548, "gene_with_edited_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 549, "inversion_derived_duplication_plus_aneuploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 550, "aneuploid_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 551, "polyA_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 552, "Shine_Dalgarno_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 553, "polyA_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 555, "five_prime_clip", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 556, "five_prime_D_recombination_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 557, "three_prime_clip", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 558, "C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 559, "D_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 560, "D_J_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 561, "heptamer_of_recombination_feature_of_vertebrate_immune_system_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 562, "nonamer_of_recombination_feature_of_vertebrate_immune_system_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 563, "vertebrate_immune_system_gene_recombination_spacer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 564, "V_DJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 565, "V_VDJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 566, "V_VJ_J_C_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 567, "inversion_derived_aneuploid_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 568, "bidirectional_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 569, "retrotransposed", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 570, "three_prime_D_recombination_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 571, "miRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 572, "DJ_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 573, "rRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 574, "VDJ_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 575, "scRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 576, "VJ_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 577, "centromere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 578, "snoRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 579, "edited_transcript_feature", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 580, "methylation_guide_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 581, "cap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 582, "rRNA_cleavage_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 583, "pre_edited_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 584, "tmRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 585, "C_D_box_snoRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 586, "tmRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 587, "group_I_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 588, "autocatalytically_spliced_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 589, "SRP_RNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 590, "SRP_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 591, "pseudoknot", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 592, "H_pseudoknot", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 593, "C_D_box_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 594, "H_ACA_box_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 595, "C_D_box_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 596, "H_ACA_box_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 602, "guide_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 603, "group_II_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 604, "editing_block", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 605, "intergenic_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 606, "editing_domain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 607, "unedited_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 608, "H_ACA_box_snoRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 609, "oligo_U_tail", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 610, "polyA_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 611, "branch_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 612, "polypyrimidine_tract", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 613, "bacterial_RNApol_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 614, "bacterial_terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 615, "terminator_of_type_2_RNApol_III_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 616, "transcription_end_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 617, "RNApol_III_promoter_type_1", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 618, "RNApol_III_promoter_type_2", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 619, "A_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 620, "B_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 621, "RNApol_III_promoter_type_3", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 622, "C_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 623, "snRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 624, "telomere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 625, "silencer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 626, "chromosomal_regulatory_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 627, "insulator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 628, "chromosomal_structural_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 629, "five_prime_open_reading_frame", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 630, "upstream_AUG_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 631, "polycistronic_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 632, "monocistronic_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 633, "monocistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 634, "polycistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 635, "mini_exon_donor_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 636, "spliced_leader_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 637, "engineered_plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 638, "transcribed_spacer_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 639, "internal_transcribed_spacer_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 640, "external_transcribed_spacer_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 641, "tetranucleotide_repeat_microsatellite_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 642, "SRP_RNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 643, "minisatellite", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 644, "antisense_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 645, "antisense_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 646, "siRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 647, "miRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 648, "stRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 649, "stRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 650, "small_subunit_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 651, "large_subunit_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 652, "rRNA_5S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 653, "rRNA_28S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 654, "maxicircle_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 655, "ncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 656, "stRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 657, "repeat_region", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 658, "dispersed_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 659, "tmRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 662, "spliceosomal_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 663, "tRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 664, "introgressed_chromosome_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 665, "monocistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 666, "mobile_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 667, "insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 668, "EST_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 669, "sequence_rearrangement_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 670, "chromosome_breakage_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 671, "internal_eliminated_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 672, "macronucleus_destined_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 673, "transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 676, "canonical_three_prime_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 677, "canonical_five_prime_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 678, "non_canonical_three_prime_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 679, "non_canonical_five_prime_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 680, "non_canonical_start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 681, "aberrant_processed_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 683, "exonic_splice_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 684, "nuclease_sensitive_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 685, "DNAseI_hypersensitive_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 686, "translocation_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 687, "deletion_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 688, "golden_path", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 689, "cDNA_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 690, "gene_with_polycistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 691, "cleaved_initiator_methionine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 692, "gene_with_dicistronic_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 693, "gene_with_recoded_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 694, "SNP", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 695, "reagent", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 696, "oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 697, "gene_with_stop_codon_read_through", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 698, "gene_with_stop_codon_redefined_as_pyrrolysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 699, "junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 700, "remark", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 701, "possible_base_call_error", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 702, "possible_assembly_error", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 703, "experimental_result_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 704, "gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 705, "tandem_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 706, "trans_splice_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 707, "trans_splice_donor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 708, "SL1_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 709, "SL2_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 710, "gene_with_stop_codon_redefined_as_selenocysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 711, "gene_with_mRNA_recoded_by_translational_bypass", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 712, "gene_with_transcript_with_translational_frameshift", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 713, "DNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 714, "nucleotide_motif", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 715, "RNA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 716, "dicistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 717, "reading_frame", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 718, "blocked_reading_frame", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 719, "ultracontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 720, "foreign_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 721, "gene_with_dicistronic_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 722, "gene_with_dicistronic_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 723, "iDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 724, "oriT", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 725, "transit_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 726, "repeat_unit", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 727, "CRM", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 728, "intein", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 729, "intein_containing", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 730, "gap", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 731, "fragmentary", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 732, "predicted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 733, "feature_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 734, "exemplar_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 735, "sequence_location", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 736, "organelle_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 737, "mitochondrial_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 738, "nuclear_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 739, "nucleomorphic_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 740, "plastid_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 741, "kinetoplast", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 742, "maxicircle", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 743, "apicoplast_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 744, "chromoplast_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 745, "chloroplast_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 746, "cyanelle_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 747, "leucoplast_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 748, "proplastid_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 749, "plasmid_location", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 750, "amplification_origin", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 751, "proviral_location", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 752, "gene_group_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 753, "clone_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 754, "lambda_vector", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 755, "plasmid_vector", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 756, "cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 757, "single_stranded_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 758, "double_stranded_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 766, "pyrrolysyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 768, "episome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 769, "tmRNA_coding_piece", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 770, "tmRNA_acceptor_piece", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 771, "QTL", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 772, "genomic_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 773, "pathogenic_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 774, "metabolic_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 775, "adaptive_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 776, "symbiosis_island", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 777, "pseudogenic_rRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 778, "pseudogenic_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 779, "engineered_episome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 781, "transgenic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 782, "natural", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 783, "engineered", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 784, "foreign", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 785, "cloned_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 789, "validated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 790, "invalidated", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 794, "engineered_rescue_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 795, "rescue_mini_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 796, "transgenic_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 797, "natural_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 798, "engineered_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 799, "engineered_foreign_transposable_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 800, "assortment_derived_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 801, "assortment_derived_deficiency_plus_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 802, "assortment_derived_deficiency", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 803, "assortment_derived_aneuploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 804, "engineered_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 805, "engineered_foreign_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 806, "fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 807, "engineered_tag", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 808, "validated_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 809, "invalidated_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 810, "chimeric_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 811, "genomically_contaminated_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 812, "polyA_primed_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 813, "partially_processed_cDNA_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 814, "rescue", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 815, "mini_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 816, "rescue_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 817, "wild_type", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 818, "wild_type_rescue_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 819, "mitochondrial_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 820, "chloroplast_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 821, "chromoplast_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 822, "cyanelle_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 823, "leucoplast_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 824, "macronuclear_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 825, "micronuclear_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 828, "nuclear_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 829, "nucleomorphic_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 830, "chromosome_part", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 831, "gene_member_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 833, "transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 834, "mature_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 835, "primary_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 836, "mRNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 837, "UTR_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 838, "rRNA_primary_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 839, "polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 840, "repeat_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 841, "spliceosomal_intron_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 842, "gene_component_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 847, "tmRNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 848, "LTR_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 849, "three_prime_LTR_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 850, "five_prime_LTR_component", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 851, "CDS_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 852, "exon_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 853, "homologous_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 854, "paralogous_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 855, "orthologous_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 856, "conserved", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 857, "homologous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 858, "orthologous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 859, "paralogous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 860, "syntenic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 861, "capped_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 862, "capped_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 863, "mRNA_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 864, "exemplar", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 865, "frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 866, "minus_1_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 867, "minus_2_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 868, "plus_1_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 869, "plus_2_framshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 870, "trans_spliced", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 871, "polyadenylated_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 872, "trans_spliced_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 873, "edited_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 874, "edited_transcript_by_A_to_I_substitution", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 875, "bound_by_protein", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 876, "bound_by_nucleic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 877, "alternatively_spliced", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 878, "monocistronic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 879, "dicistronic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 880, "polycistronic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 881, "recoded", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 882, "codon_redefined", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 883, "stop_codon_read_through", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 884, "stop_codon_redefined_as_pyrrolysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 885, "stop_codon_redefined_as_selenocysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 886, "recoded_by_translational_bypass", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 887, "translationally_frameshifted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 888, "maternally_imprinted_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 889, "paternally_imprinted_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 890, "post_translationally_regulated_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 891, "negatively_autoregulated_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 892, "positively_autoregulated_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 893, "silenced", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 894, "silenced_by_DNA_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 895, "silenced_by_DNA_methylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 896, "translationally_regulated_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 897, "allelically_excluded_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 898, "epigenetically_modified_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 902, "transgene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 903, "endogenous_retroviral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 904, "rearranged_at_DNA_level", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 905, "status", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 906, "independently_known", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 907, "supported_by_sequence_similarity", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 908, "supported_by_domain_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 909, "supported_by_EST_or_cDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 910, "orphan", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 911, "predicted_by_ab_initio_computation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 912, "asx_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 913, "cloned_cDNA_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 914, "cloned_genomic_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 915, "engineered_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 929, "edited_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 930, "guide_RNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 931, "anchor_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 932, "pre_edited_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 933, "intermediate", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 934, "miRNA_target_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 935, "edited_CDS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 936, "vertebrate_immunoglobulin_T_cell_receptor_rearranged_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 938, "vertebrate_immunoglobulin_T_cell_receptor_rearranged_gene_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 939, "vertebrate_immune_system_gene_recombination_signal_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 940, "recombinationally_rearranged", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 941, "recombinationally_rearranged_vertebrate_immune_system_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 942, "attP_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 943, "attB_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 944, "attL_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 945, "attR_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 946, "integration_excision_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 947, "resolution_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 948, "inversion_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 949, "dif_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 950, "attC_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 951, "eukaryotic_terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 952, "oriV", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 953, "oriC", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 954, "DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 955, "double_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 956, "single_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 957, "linear_double_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 958, "circular_double_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 959, "linear_single_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 960, "circular_single_stranded_DNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 961, "RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 962, "single_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 963, "linear_single_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 964, "linear_double_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 965, "double_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 966, "circular_single_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 967, "circular_double_stranded_RNA_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 973, "insertion_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 975, "minicircle_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 976, "cryptic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 977, "anchor_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 978, "template_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 979, "gRNA_encoding", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 980, "minicircle", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 981, "rho_dependent_bacterial_terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 982, "rho_independent_bacterial_terminator", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 983, "strand_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 984, "single", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 985, "double", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 986, "topology_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 987, "linear", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 988, "circular", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 989, "class_II_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 990, "class_I_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 991, "genomic_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 992, "BAC_cloned_genomic_insert", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 993, "consensus", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 994, "consensus_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 995, "consensus_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 996, "predicted_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 997, "gene_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 998, "recursive_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 999, "BAC_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000, "rRNA_16S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001, "rRNA_23S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1002, "rRNA_25S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1003, "solo_LTR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1004, "low_complexity", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1005, "low_complexity_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1006, "prophage", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1007, "cryptic_prophage", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1008, "tetraloop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1009, "DNA_constraint_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1010, "i_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1011, "PNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1012, "DNAzyme", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1013, "MNP", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1014, "intron_domain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1015, "wobble_base_pair", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1016, "internal_guide_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1017, "silent_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1018, "epitope", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1019, "copy_number_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1021, "chromosome_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1022, "inversion_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1023, "allele", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1024, "haplotype", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1025, "polymorphic_sequence_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1026, "genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1027, "genotype", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1028, "diplotype", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1029, "direction_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1030, "forward", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1031, "reverse", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1032, "mitochondrial_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1033, "chloroplast_DNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1034, "mirtron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1035, "piRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1036, "arginyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1037, "mobile_genetic_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1038, "extrachromosomal_mobile_genetic_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1039, "integrated_mobile_genetic_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1040, "integrated_plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1041, "viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1042, "phage_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1043, "attCtn_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1044, "nuclear_mt_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1045, "cointegrated_plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1046, "IRLinv_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1047, "IRRinv_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1048, "inversion_site_part", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1049, "defective_conjugative_transposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1050, "repeat_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1054, "transposon_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1055, "transcriptional_cis_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1056, "splicing_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1058, "promoter_targeting_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1059, "sequence_alteration", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1060, "sequence_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1061, "propeptide_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1062, "propeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1063, "immature_peptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1064, "active_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1066, "compositionally_biased_region_of_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1067, "polypeptide_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1068, "polypeptide_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1070, "polypeptide_structural_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1071, "membrane_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1072, "extramembrane_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1073, "cytoplasmic_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1074, "non_cytoplasmic_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1075, "intramembrane_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1076, "membrane_peptide_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1077, "transmembrane_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1078, "polypeptide_secondary_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1079, "polypeptide_structural_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1080, "coiled_coil", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1081, "helix_turn_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1082, "polypeptide_sequencing_information", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1083, "non_adjacent_residues", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1084, "non_terminal_residue", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1085, "sequence_conflict", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1086, "sequence_uncertainty", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1089, "post_translationally_modified_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1092, "polypeptide_metal_contact", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1093, "protein_protein_contact", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1094, "polypeptide_calcium_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1095, "polypeptide_cobalt_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1096, "polypeptide_copper_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1097, "polypeptide_iron_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1098, "polypeptide_magnesium_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1099, "polypeptide_manganese_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1100, "polypeptide_molybdenum_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1101, "polypeptide_nickel_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1102, "polypeptide_tungsten_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1103, "polypeptide_zinc_ion_contact_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1104, "catalytic_residue", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1105, "polypeptide_ligand_contact", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1106, "asx_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1107, "beta_bulge", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1108, "beta_bulge_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1109, "beta_bulge_loop_five", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1110, "beta_bulge_loop_six", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1111, "beta_strand", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1112, "antiparallel_beta_strand", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1113, "parallel_beta_strand", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1114, "peptide_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1115, "left_handed_peptide_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1116, "right_handed_peptide_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1117, "alpha_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1118, "pi_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1119, "three_ten_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1120, "polypeptide_nest_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1121, "polypeptide_nest_left_right_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1122, "polypeptide_nest_right_left_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1123, "schellmann_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1124, "schellmann_loop_seven", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1125, "schellmann_loop_six", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1126, "serine_threonine_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1127, "serine_threonine_staple_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1128, "polypeptide_turn_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1129, "asx_turn_left_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1130, "asx_turn_left_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1131, "asx_turn_right_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1132, "asx_turn_right_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1133, "beta_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1134, "beta_turn_left_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1135, "beta_turn_left_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1136, "beta_turn_right_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1137, "beta_turn_right_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1138, "gamma_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1139, "gamma_turn_classic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1140, "gamma_turn_inverse", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1141, "serine_threonine_turn", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1142, "st_turn_left_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1143, "st_turn_left_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1144, "st_turn_right_handed_type_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1145, "st_turn_right_handed_type_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1146, "polypeptide_variation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1147, "natural_variant_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1148, "mutated_variant_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1149, "alternate_sequence_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1150, "beta_turn_type_six", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1151, "beta_turn_type_six_a", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1152, "beta_turn_type_six_a_one", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1153, "beta_turn_type_six_a_two", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1154, "beta_turn_type_six_b", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1155, "beta_turn_type_eight", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1156, "DRE_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1157, "DMv4_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1158, "E_box_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1159, "DMv5_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1160, "DMv3_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1161, "DMv2_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1162, "MTE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1163, "INR1_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1164, "DPE1_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1165, "DMv1_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1166, "GAGA_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1167, "NDM2_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1168, "NDM3_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1169, "ds_RNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1170, "polinton", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1171, "rRNA_21S", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1172, "tRNA_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1173, "anticodon_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1174, "anticodon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1175, "CCA_tail", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1176, "DHU_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1177, "T_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1178, "pyrrolysine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1179, "U3_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1180, "AU_rich_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1181, "Bruno_response_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1182, "iron_responsive_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1183, "morpholino_backbone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1184, "PNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1185, "enzymatic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1186, "ribozymic", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1187, "pseudouridylation_guide_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1188, "LNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1189, "LNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1190, "TNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1191, "TNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1192, "GNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1193, "GNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1194, "R_GNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1195, "R_GNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1196, "S_GNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1197, "S_GNA_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1198, "ds_DNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1199, "ss_RNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1200, "negative_sense_ssRNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1201, "positive_sense_ssRNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1202, "ambisense_ssRNA_viral_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1203, "RNA_polymerase_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1204, "Phage_RNA_Polymerase_Promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1205, "SP6_RNA_Polymerase_Promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1206, "T3_RNA_Polymerase_Promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1207, "T7_RNA_Polymerase_Promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1208, "five_prime_EST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1209, "three_prime_EST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1210, "translational_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1211, "plus_1_translational_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1212, "plus_2_translational_frameshift", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1213, "group_III_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1214, "noncoding_region_of_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1215, "coding_region_of_exon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1216, "endonuclease_spliced_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1217, "protein_coding_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1218, "transgenic_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1219, "retrogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1220, "silenced_by_RNA_interference", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1221, "silenced_by_histone_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1222, "silenced_by_histone_methylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1223, "silenced_by_histone_deacetylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1224, "gene_silenced_by_RNA_interference", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1225, "gene_silenced_by_histone_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1226, "gene_silenced_by_histone_methylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1227, "gene_silenced_by_histone_deacetylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1228, "dihydrouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1229, "pseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1230, "inosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1231, "seven_methylguanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1232, "ribothymidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1233, "methylinosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1234, "mobile", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1235, "replicon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1236, "base", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1237, "amino_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1238, "major_TSS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1239, "minor_TSS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1240, "TSS_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1241, "encodes_alternate_transcription_start_sites", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1243, "miRNA_primary_transcript_region", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1244, "pre_miRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1245, "miRNA_stem", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1246, "miRNA_loop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1247, "synthetic_oligo", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1248, "assembly", ZMAPSTYLE_MODE_ASSEMBLY_PATH, ZMAPHOMOL_NONE },
  { 1249, "fragment_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1250, "fingerprint_map", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1251, "STS_map", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1252, "RH_map", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1253, "sonicate_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1254, "polyploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1255, "autopolyploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1256, "allopolyploid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1257, "homing_endonuclease_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1258, "octamer_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1259, "apicoplast_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1260, "sequence_collection", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1261, "overlapping_feature_set", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1262, "overlapping_EST_set", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1263, "ncRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1264, "gRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1265, "miRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1266, "scRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1267, "snoRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1268, "snRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1269, "SRP_RNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1270, "stRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1271, "tmRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1272, "tRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1273, "modified_adenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1274, "modified_inosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1275, "modified_cytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1276, "modified_guanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1277, "modified_uridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1278, "one_methylinosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1279, "one_two_prime_O_dimethylinosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1280, "two_prime_O_methylinosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1281, "three_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1282, "five_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1283, "two_prime_O_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1284, "two_thiocytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1285, "N4_acetylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1286, "five_formylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1287, "five_two_prime_O_dimethylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1288, "N4_acetyl_2_prime_O_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1289, "lysidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1290, "N4_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1291, "N4_2_prime_O_dimethylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1292, "five_hydroxymethylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1293, "five_formyl_two_prime_O_methylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1294, "N4_N4_2_prime_O_trimethylcytidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1295, "one_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1296, "two_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1297, "N6_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1298, "two_prime_O_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1299, "two_methylthio_N6_methyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1300, "N6_isopentenyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1301, "two_methylthio_N6_isopentenyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1302, "N6_cis_hydroxyisopentenyl_adenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1303, "two_methylthio_N6_cis_hydroxyisopentenyl_adenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1304, "N6_glycinylcarbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1305, "N6_threonylcarbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1306, "two_methylthio_N6_threonyl_carbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1307, "N6_methyl_N6_threonylcarbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1308, "N6_hydroxynorvalylcarbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1309, "two_methylthio_N6_hydroxynorvalyl_carbamoyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1310, "two_prime_O_ribosyladenosine_phosphate", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1311, "N6_N6_dimethyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1312, "N6_2_prime_O_dimethyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1313, "N6_N6_2_prime_O_trimethyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1314, "one_two_prime_O_dimethyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1315, "N6_acetyladenosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1316, "seven_deazaguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1317, "queuosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1318, "epoxyqueuosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1319, "galactosyl_queuosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1320, "mannosyl_queuosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1321, "seven_cyano_seven_deazaguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1322, "seven_aminomethyl_seven_deazaguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1323, "archaeosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1324, "one_methylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1325, "N2_methylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1326, "seven_methylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1327, "two_prime_O_methylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1328, "N2_N2_dimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1329, "N2_2_prime_O_dimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1330, "N2_N2_2_prime_O_trimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1331, "two_prime_O_ribosylguanosine_phosphate", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1332, "wybutosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1333, "peroxywybutosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1334, "hydroxywybutosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1335, "undermodified_hydroxywybutosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1336, "wyosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1337, "methylwyosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1338, "N2_7_dimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1339, "N2_N2_7_trimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1340, "one_two_prime_O_dimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1341, "four_demethylwyosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1342, "isowyosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1343, "N2_7_2prirme_O_trimethylguanosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1344, "five_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1345, "two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1346, "five_two_prime_O_dimethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1347, "one_methylpseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1348, "two_prime_O_methylpseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1349, "two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1350, "four_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1351, "five_methyl_2_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1352, "two_thio_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1353, "three_three_amino_three_carboxypropyl_uridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1354, "five_hydroxyuridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1355, "five_methoxyuridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1356, "uridine_five_oxyacetic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1357, "uridine_five_oxyacetic_acid_methyl_ester", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1358, "five_carboxyhydroxymethyl_uridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1359, "five_carboxyhydroxymethyl_uridine_methyl_ester", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1360, "five_methoxycarbonylmethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1361, "five_methoxycarbonylmethyl_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1362, "five_methoxycarbonylmethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1363, "five_aminomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1364, "five_methylaminomethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1365, "five_methylaminomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1366, "five_methylaminomethyl_two_selenouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1367, "five_carbamoylmethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1368, "five_carbamoylmethyl_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1369, "five_carboxymethylaminomethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1370, "five_carboxymethylaminomethyl_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1371, "five_carboxymethylaminomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1372, "three_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1373, "one_methyl_three_three_amino_three_carboxypropyl_pseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1374, "five_carboxymethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1375, "three_two_prime_O_dimethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1376, "five_methyldihydrouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1377, "three_methylpseudouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1378, "five_taurinomethyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1379, "five_taurinomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1380, "five_isopentenylaminomethyl_uridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1381, "five_isopentenylaminomethyl_two_thiouridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1382, "five_isopentenylaminomethyl_two_prime_O_methyluridine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1383, "histone_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1384, "CDS_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1385, "modified_amino_acid_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1386, "modified_glycine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1387, "modified_L_alanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1388, "modified_L_asparagine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1389, "modified_L_aspartic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1390, "modified_L_cysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1391, "modified_L_glutamic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1392, "modified_L_threonine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1393, "modified_L_tryptophan", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1394, "modified_L_glutamine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1395, "modified_L_methionine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1396, "modified_L_isoleucine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1397, "modified_L_phenylalanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1398, "modified_L_histidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1399, "modified_L_serine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1400, "modified_L_lysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1401, "modified_L_leucine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1402, "modified_L_selenocysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1403, "modified_L_valine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1404, "modified_L_proline", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1405, "modified_L_tyrosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1406, "modified_L_arginine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1407, "peptidyl", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1408, "cleaved_for_gpi_anchor_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1409, "biomaterial_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1410, "experimental_feature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1411, "biological_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1412, "topologically_defined_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1413, "translocation_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1414, "insertion_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1415, "deletion_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1416, "five_prime_flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1417, "three_prime_flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1418, "transcribed_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1419, "cis_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1420, "trans_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1421, "splice_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1422, "conformational_switch", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1423, "dye_terminator_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1424, "pyrosequenced_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1425, "ligation_based_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1426, "polymerase_synthesis_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1427, "cis_regulatory_frameshift_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1428, "expressed_sequence_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1429, "DNA_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1431, "cryptic_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1433, "three_prime_RACE_clone", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1434, "cassette_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1435, "alanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1436, "valine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1437, "leucine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1438, "isoleucine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1439, "proline", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1440, "tryptophan", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1441, "phenylalanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1442, "methionine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1443, "glycine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1444, "serine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1445, "threonine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1446, "tyrosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1447, "cysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1448, "glutamine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1449, "asparagine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1450, "lysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1451, "arginine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1452, "histidine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1453, "aspartic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1454, "glutamic_acid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1455, "selenocysteine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1456, "pyrrolysine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1457, "transcribed_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1458, "unigene_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1459, "CRISPR", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1460, "insulator_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1461, "enhancer_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1462, "contig_collection", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1463, "lincRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1464, "UST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1465, "three_prime_UST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1466, "five_prime_UST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1467, "RST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1468, "three_prime_RST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1469, "five_prime_RST", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1470, "UST_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 1471, "RST_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 1472, "primer_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_N_HOMOL },
  { 1473, "miRNA_antiguide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1474, "trans_splice_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1475, "outron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1476, "natural_plasmid", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1477, "gene_trap_construct", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1478, "promoter_trap_construct", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1479, "enhancer_trap_construct", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1480, "PAC_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1481, "RAPD", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1482, "shadow_enhancer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1483, "SNV", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1484, "X_element_combinatorial_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1485, "Y_prime_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1486, "standard_draft", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1487, "high_quality_draft", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1488, "improved_high_quality_draft", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1489, "annotation_directed_improved_draft", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1490, "noncontiguous_finished", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1491, "finished_genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1492, "intronic_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1493, "centromere_DNA_Element_I", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1494, "centromere_DNA_Element_II", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1495, "centromere_DNA_Element_III", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1496, "telomeric_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1497, "X_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1498, "YAC_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1499, "whole_genome_sequence_status", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1500, "heritable_phenotypic_marker", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1501, "peptide_collection", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1502, "high_identity_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1503, "processed_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1504, "assortment_derived_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1505, "reference_genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1506, "variant_genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1507, "variant_collection", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1508, "alteration_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1509, "chromosomal_variation_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1510, "intrachromosomal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1511, "interchromosomal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1512, "insertion_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1513, "tandem", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1514, "direct", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1515, "inverted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1516, "free", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1517, "inversion_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1518, "pericentric", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1519, "paracentric", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1520, "translocaton_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1521, "reciprocal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1522, "insertional", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1523, "duplication_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1524, "chromosomally_aberrant_genome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1525, "assembly_error_correction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1526, "base_call_error_correction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1527, "peptide_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1528, "nuclear_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1529, "endosomal_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1530, "lysosomal_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1531, "nuclear_export_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1532, "recombination_signal_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1533, "cryptic_splice_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1534, "nuclear_rim_localization_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1535, "p_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1536, "functional_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1537, "structural_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1538, "transcript_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1539, "translational_product_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1540, "level_of_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1541, "decreased_transcript_level_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1542, "increased_transcript_level_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1543, "transcript_processing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1544, "editing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1545, "polyadenylation_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1546, "transcript_stability_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1547, "decreased_transcript_stability_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1548, "increased_transcript_stability_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1549, "transcription_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1550, "rate_of_transcription_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1551, "increased_transcription_rate_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1552, "decreased_transcription_rate_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1553, "translational_product_level_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1554, "polypeptide_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1555, "decreased_translational_product_level", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1556, "increased_translational_product_level", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1557, "polypeptide_gain_of_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1558, "polypeptide_localization_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1559, "polypeptide_loss_of_function_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1560, "inactive_ligand_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1561, "polypeptide_partial_loss_of_function", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1562, "polypeptide_post_translational_processing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1563, "copy_number_change", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1564, "gene_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1565, "gene_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1566, "regulatory_region_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1567, "stop_retained_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1568, "splicing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1569, "cryptic_splice_site_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1570, "cryptic_splice_acceptor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1571, "cryptic_splice_donor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1572, "exon_loss_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1573, "intron_gain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1574, "splice_acceptor_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1575, "splice_donor_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1576, "transcript_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1577, "complex_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1578, "stop_lost", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1580, "coding_sequence_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1582, "initiator_codon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1583, "missense_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1585, "conservative_missense_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1586, "non_conservative_missense_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1587, "stop_gained", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1589, "frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1590, "terminator_codon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1591, "frame_restoring_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1592, "minus_1_frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1593, "minus_2_frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1594, "plus_1_frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1595, "plus_2_frameshift_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1596, "transcript_secondary_structure_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1597, "compensatory_transcript_secondary_structure_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1598, "translational_product_structure_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1599, "3D_polypeptide_structure_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1600, "complex_3D_structural_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1601, "conformational_change_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1602, "complex_change_of_translational_product_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1603, "polypeptide_sequence_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1604, "amino_acid_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1605, "amino_acid_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1606, "amino_acid_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1607, "conservative_amino_acid_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1608, "non_conservative_amino_acid_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1609, "elongated_polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1610, "elongated_polypeptide_C_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1611, "elongated_polypeptide_N_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1612, "elongated_in_frame_polypeptide_C_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1613, "elongated_out_of_frame_polypeptide_C_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1614, "elongated_in_frame_polypeptide_N_terminal_elongation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1615, "elongated_out_of_frame_polypeptide_N_terminal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1616, "polypeptide_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1617, "polypeptide_truncation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1618, "inactive_catalytic_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1619, "non_coding_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1620, "mature_miRNA_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1621, "NMD_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1622, "UTR_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1623, "5_prime_UTR_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1624, "3_prime_UTR_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1626, "incomplete_terminal_codon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1627, "intron_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1628, "intergenic_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1629, "splice_site_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1630, "splice_region_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1631, "upstream_gene_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1632, "downstream_gene_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1633, "5KB_downstream_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1634, "500B_downstream_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1635, "5KB_upstream_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1636, "2KB_upstream_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1637, "rRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1638, "piRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1639, "RNase_P_RNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1640, "RNase_MRP_RNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1641, "lincRNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1642, "mathematically_defined_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1643, "telomerase_RNA_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1644, "targeting_vector", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1645, "genetic_marker", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1646, "DArT_marker", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1647, "kozak_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1648, "nested_transposon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1649, "nested_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1650, "inframe_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1653, "retinoic_acid_responsive_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1654, "nucleotide_to_protein_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1655, "nucleotide_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1656, "metal_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1657, "ligand_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1658, "nested_tandem_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1659, "promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1660, "core_promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1661, "RNA_polymerase_II_TATA_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1662, "RNA_polymerase_III_TATA_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1663, "BREd_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1664, "DCE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1665, "DCE_SI", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1666, "DCE_SII", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1667, "DCE_SIII", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1668, "proximal_promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1669, "RNApol_II_core_promoter", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1670, "distal_promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1671, "bacterial_RNApol_promoter_sigma_70", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1672, "bacterial_RNApol_promoter_sigma54", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1673, "minus_12_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1674, "minus_24_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1675, "A_box_type_1", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1676, "A_box_type_2", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1677, "intermediate_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1678, "regulatory_promoter_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1679, "transcription_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1680, "translation_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1681, "recombination_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1682, "replication_regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1683, "sequence_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1684, "experimental_feature_attribute", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1685, "score", ZMAPSTYLE_MODE_GRAPH, ZMAPHOMOL_NONE },
  { 1686, "quality_value", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1687, "restriction_enzyme_recognition_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1688, "restriction_enzyme_cleavage_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1689, "five_prime_restriction_enzyme_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1690, "three_prime_restriction_enzyme_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1691, "blunt_end_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1692, "sticky_end_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1693, "blunt_end_restriction_enzyme_cleavage_junction", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1694, "single_strand_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1695, "restriction_enzyme_single_strand_overhang", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1696, "experimentally_defined_binding_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1697, "ChIP_seq_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1698, "ASPE_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1699, "dCAPS_primer", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1700, "histone_modification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1701, "histone_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1702, "histone_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1703, "H3K9_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1704, "H3K14_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1705, "H3K4_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1706, "H3K4_trimethylation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1707, "H3K9_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1708, "H3K27_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1709, "H3K27_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1710, "H3K79_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1711, "H3K79_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1712, "H3K79_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1713, "H4K20_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1714, "H2BK5_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1715, "ISRE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1716, "histone_ubiqitination_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1717, "H2B_ubiquitination_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1718, "H3K18_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1719, "H3K23_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1720, "epigenetically_modified_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1721, "H3K27_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1722, "H3K36_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1723, "H3K36_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1724, "H3K36_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1725, "H3K4_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1726, "H3K27_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1727, "H3K9_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1728, "H3K9_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1729, "H4K16_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1730, "H4K5_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1731, "H4K8_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1732, "H3K27_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1733, "H3K36_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1734, "H3K4_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1735, "H3K79_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1736, "H3K9_methylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1737, "histone_acylation_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1738, "H4K_acylation_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1739, "gene_with_non_canonical_start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1740, "gene_with_start_codon_CUG", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1741, "pseudogenic_gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1742, "copy_number_gain", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1743, "copy_number_loss", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1744, "UPD", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1745, "maternal_uniparental_disomy", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1746, "paternal_uniparental_disomy", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1747, "open_chromatin_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1748, "SL3_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1749, "SL4_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1750, "SL5_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1751, "SL6_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1752, "SL7_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1753, "SL8_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1754, "SL9_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1755, "SL10_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1756, "SL11_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1757, "SL12_acceptor_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1758, "duplicated_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1759, "unitary_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1760, "non_processed_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1761, "variant_quality", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1762, "variant_origin", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1763, "variant_frequency", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1764, "unique_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1765, "rare_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1766, "polymorphic_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1767, "common_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1768, "fixed_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1769, "variant_phenotype", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1770, "benign_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1771, "disease_associated_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1772, "disease_causing_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1773, "lethal_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1774, "quantitative_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1775, "maternal_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1776, "paternal_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1777, "somatic_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1778, "germline_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1779, "pedigree_specific_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1780, "population_specific_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1781, "de_novo_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1782, "TF_binding_site_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1784, "complex_structural_alteration", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1785, "structural_alteration", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1786, "loss_of_heterozygosity", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1787, "splice_donor_5th_base_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1788, "U_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1789, "mating_type_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1790, "paired_end_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1791, "exon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1792, "non_coding_transcript_exon_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1793, "clone_end", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1794, "point_centromere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1795, "regional_centromere", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1796, "regional_centromere_central_core", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1797, "centromeric_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1798, "regional_centromere_inner_repeat_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1799, "regional_centromere_outer_repeat_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1800, "tasiRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1801, "tasiRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1802, "increased_polyadenylation_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1803, "decreased_polyadenylation_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1804, "DDB_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1805, "destruction_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1806, "ER_retention_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1807, "KEN_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1808, "mitochondrial_targeting_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1809, "signal_anchor", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1810, "PIP_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1811, "phosphorylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1812, "transmembrane_helix", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1813, "vacuolar_sorting_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1814, "coding_variant_quality", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1815, "synonymous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1816, "non_synonymous", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1817, "inframe", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1818, "protein_altering_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1819, "synonymous_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1820, "inframe_indel", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1821, "inframe_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1822, "inframe_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1823, "conservative_inframe_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1824, "disruptive_inframe_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1825, "conservative_inframe_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1826, "disruptive_inframe_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1827, "mRNA_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1828, "genomic_DNA_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1829, "mRNA_contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1830, "AFLP_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1831, "protein_hmm_match", ZMAPSTYLE_MODE_ALIGNMENT, ZMAPHOMOL_X_HOMOL },
  { 1832, "immunoglobulin_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1833, "V_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1834, "C_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1835, "N_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1836, "S_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1837, "mobile_element_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1838, "novel_sequence_insertion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1839, "CSL_response_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1840, "GATA_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1841, "polymorphic_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1842, "AP_1_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1843, "CRE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1844, "CuRE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1845, "DRE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1846, "FLEX_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1847, "forkhead_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1848, "homol_D_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1849, "homol_E_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1850, "HSE", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1851, "iron_repressed_GATA_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1852, "mating_type_M_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1853, "androgen_response_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1854, "smFISH_probe", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1855, "MCB", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1856, "CCAAT_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1857, "Ace2_UAS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1858, "TR_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1859, "STREP_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1860, "rDNA_intergenic_spacer_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1861, "sterol_regulatory_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1862, "GT_dinucleotide_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1863, "GTT_trinucleotide_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1864, "Sap1_recognition_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1865, "CDRE_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1866, "BAC_read_contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1867, "candidate_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1868, "positional_candidate_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1869, "functional_candidate_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1870, "enhancerRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1871, "PCB", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1872, "rearrangement_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1873, "interchromosomal_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1874, "intrachromosomal_breakpoint", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1875, "unassigned_supercontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1876, "partial_genomic_sequence_assembly", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1877, "lnc_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1878, "feature_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1879, "feature_ablation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1880, "feature_amplification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1881, "feature_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1882, "feature_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1883, "transcript_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1884, "regulatory_region_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1885, "TFBS_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1886, "transcript_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1887, "regulatory_region_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1888, "TFBS_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1889, "transcript_amplification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1890, "transcript_regulatory_region_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1891, "regulatory_region_amplification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1892, "TFBS_amplification", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1893, "transcript_ablation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1894, "regulatory_region_ablation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1895, "TFBS_ablation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1896, "transposable_element_CDS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1897, "transposable_element_pseudogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1898, "dg_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1899, "dh_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1900, "M26_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1901, "AACCCT_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1902, "splice_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1903, "intronic_lncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1904, "antisense_lncRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1905, "regional_centromere_outer_repeat_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1906, "feature_truncation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1907, "feature_elongation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1908, "internal_feature_elongation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1909, "frameshift_elongation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1910, "frameshift_truncation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1911, "copy_number_increase", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1912, "copy_number_decrease", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1913, "bacterial_RNApol_promoter_sigma_ecf", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1914, "rDNA_replication_fork_barrier", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1915, "transcription_start_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1916, "CAGE_tag", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1917, "CAGE_cluster", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1918, "5_methylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1919, "4_methylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1920, "N6_methyladenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1921, "mitochondrial_contig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1922, "mitochondrial_supercontig", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1923, "TERRA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1924, "ARRET", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1925, "ARIA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1926, "anti_ARRET", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1927, "telomeric_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1928, "distal_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1929, "mitochondrial_DNA_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1930, "chloroplast_DNA_read", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1931, "consensus_gDNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1932, "restriction_enzyme_five_prime_single_strand_overhang", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1933, "restriction_enzyme_three_prime_single_strand_overhang", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1934, "monomeric_repeat", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1935, "H3K20_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1936, "H3K36_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1937, "H2BK12_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1938, "H2AK5_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1939, "H4K12_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1940, "H2BK120_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1941, "H4K91_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1942, "H2BK20_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1943, "H3K4ac_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1944, "H2AK9_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1945, "H3K56_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1946, "H2BK15_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1947, "H3R2_monomethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1948, "H3R2_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1949, "H4R3_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1950, "H4K4_trimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1951, "H3K23_dimethylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1952, "promoter_flanking_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1953, "restriction_enzyme_assembly_scar", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1954, "restriction_enzyme_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1955, "protein_stability_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1956, "protease_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1958, "lariat_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1959, "TCT_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1960, "5_hydroxymethylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1961, "5_formylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1962, "modified_adenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1963, "modified_cytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1964, "modified_guanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1965, "8_oxoguanine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1966, "5_carboxylcytosine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1967, "8_oxoadenine", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1968, "coding_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1969, "coding_transcript_intron_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1970, "non_coding_transcript_intron_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1971, "zinc_finger_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1972, "histone_4_acylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1973, "histone_3_acetylation_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1974, "CTCF_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1975, "five_prime_sticky_end_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1976, "three_prime_sticky_end_restriction_enzyme_cleavage_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1977, "ribonuclease_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1978, "signature", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1979, "RNA_stability_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1980, "G_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1981, "L_box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1982, "I-box", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1983, "5_prime_UTR_premature_start_codon_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1984, "silent_mating_type_cassette_array", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1985, "Okazaki_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1986, "upstream_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1987, "downstream_transcript_variant", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1988, "5_prime_UTR_premature_start_codon_gain_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1989, "5_prime_UTR_premature_start_codon_loss_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1990, "five_prime_UTR_premature_start_codon_location_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1991, "consensus_AFLP_fragment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1992, "nonsynonymous_variant", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5836, "regulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5837, "U14_snoRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 5841, "methylation_guide_snoRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5843, "rRNA_cleavage_RNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5845, "exon_of_single_exon_gene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5847, "cassette_array_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5848, "gene_cassette_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5849, "gene_subarray_member", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5850, "primer_binding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5851, "gene_array", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5852, "gene_subarray", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5853, "gene_cassette", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5854, "gene_cassette_array", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5855, "gene_group", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5856, "selenocysteine_tRNA_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 5857, "selenocysteinyl_tRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 5858, "syntenic_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100001, "biochemical_region_of_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100002, "molecular_contact_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100003, "intrinsically_unstructured_polypeptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100004, "catmat_left_handed_three", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100005, "catmat_left_handed_four", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100006, "catmat_right_handed_three", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100007, "catmat_right_handed_four", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100008, "alpha_beta_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100009, "lipoprotein_signal_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100010, "no_output", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100011, "cleaved_peptide_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100012, "peptide_coil", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100013, "hydrophobic_region_of_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100014, "n_terminal_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100015, "c_terminal_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100016, "central_hydrophobic_region_of_signal_peptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100017, "polypeptide_conserved_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100018, "polypeptide_binding_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100019, "polypeptide_catalytic_motif", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100020, "polypeptide_DNA_contact", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 100021, "polypeptide_conserved_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000002, "substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000005, "complex_substitution", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000008, "point_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000009, "transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000010, "pyrimidine_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000011, "C_to_T_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000012, "C_to_T_transition_at_pCpG_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000013, "T_to_C_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000014, "purine_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000015, "A_to_G_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000016, "G_to_A_transition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000017, "transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000018, "pyrimidine_to_purine_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000019, "C_to_A_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000020, "C_to_G_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000021, "T_to_A_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000022, "T_to_G_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000023, "purine_to_pyrimidine_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000024, "A_to_C_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000025, "A_to_T_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000026, "G_to_C_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000027, "G_to_T_transversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000028, "intrachromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000029, "chromosomal_deletion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000030, "chromosomal_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000031, "interchromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000032, "indel", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000035, "duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000036, "inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000037, "chromosomal_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000038, "intrachromosomal_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000039, "direct_tandem_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000040, "inverted_tandem_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000041, "intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000042, "compound_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000043, "Robertsonian_fusion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000044, "chromosomal_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000045, "ring_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000046, "pericentric_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000047, "paracentric_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000048, "reciprocal_chromosomal_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000136, "autosynaptic_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000138, "homo_compound_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000140, "hetero_compound_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000141, "chromosome_fission", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000142, "dexstrosynaptic_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000143, "laevosynaptic_chromosome", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000144, "free_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000145, "free_ring_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000146, "complex_chromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000147, "deficient_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000148, "inversion_cum_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000149, "bipartite_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000150, "cyclic_translocation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000151, "bipartite_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000152, "uninverted_insertional_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000153, "inverted_insertional_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000154, "insertional_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000155, "interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000156, "inverted_interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000157, "uninverted_interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000158, "inverted_intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000159, "uninverted_intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000160, "unoriented_insertional_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000161, "unoriented_interchromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000162, "unoriented_intrachromosomal_transposition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000170, "uncharacterised_chromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000171, "deficient_inversion", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000173, "tandem_duplication", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000175, "partially_characterised_chromosomal_mutation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000182, "chromosome_number_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1000183, "chromosome_structure_variation", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001187, "alternatively_spliced_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1001188, "encodes_1_polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001189, "encodes_greater_than_1_polypeptide", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001190, "encodes_different_polypeptides_different_stop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001191, "encodes_overlapping_peptides_different_start", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001192, "encodes_disjoint_polypeptides", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001193, "encodes_overlapping_polypeptides_different_start_and_stop", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001195, "encodes_overlapping_peptides", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001196, "cryptogene", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001197, "dicistronic_primary_transcript", ZMAPSTYLE_MODE_TRANSCRIPT, ZMAPHOMOL_NONE },
  { 1001217, "member_of_regulon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001246, "CDS_independently_known", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001247, "orphan_CDS", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001249, "CDS_supported_by_domain_match_data", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001251, "CDS_supported_by_sequence_similarity_data", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001254, "CDS_predicted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001259, "CDS_supported_by_EST_or_cDNA_data", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001260, "internal_Shine_Dalgarno_sequence", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001261, "recoded_mRNA", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001262, "minus_1_translationally_frameshifted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001263, "plus_1_translationally_frameshifted", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001264, "mRNA_recoded_by_translational_bypass", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001265, "mRNA_recoded_by_codon_redefinition", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001268, "recoding_stimulatory_region", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001269, "four_bp_start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001271, "archaeal_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001272, "tRNA_intron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001273, "CTG_start_codon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001274, "SECIS_element", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001275, "retron", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001277, "three_prime_recoding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001279, "three_prime_stem_loop_structure", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001280, "five_prime_recoding_site", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001281, "flanking_three_prime_quadruplet_recoding_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001282, "UAG_stop_codon_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001283, "UAA_stop_codon_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001284, "regulon", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001285, "UGA_stop_codon_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001286, "three_prime_repeat_recoding_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001287, "distant_three_prime_recoding_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 1001288, "stop_codon_signal", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 2000061, "databank_entry", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE },
  { 3000000, "gene_segment", ZMAPSTYLE_MODE_BASIC, ZMAPHOMOL_NONE }
} ;

#define USE_SO_TERM_HACK 1
#define ZMAP_SO_DATA_TABLE04_HACK_NUM_ITEMS 3
static const ZMapSOIDDataStruct ZMAP_SO_DATA_TABLE04_HACK[ZMAP_SO_DATA_TABLE04_HACK_NUM_ITEMS] = 
{
  { 9999990, "das_phastCons", ZMAPSTYLE_MODE_GRAPH, ZMAPHOMOL_NONE },
  { 9999991, "solexa_coverage", ZMAPSTYLE_MODE_GRAPH, ZMAPHOMOL_NONE },
  { 9999992, "Locus", ZMAPSTYLE_MODE_TEXT, ZMAPHOMOL_NONE }
} ;

